#
# spec file for package qemu-testsuite
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_x86_fw_from_source 0
%define build_slof_from_source 0
%ifarch %ix86 x86_64
# choice of building all from source or using provided binary x86 blobs
%if 0%{?suse_version} >= 1310
%define build_x86_fw_from_source 1
%endif
%endif
%ifarch ppc64
%define build_slof_from_source 1
%endif
%ifarch ppc64le
%if 0%{?suse_version} > 1320 ||  0%{?suse_version} == 1315
%define build_slof_from_source 1
%endif
%endif
%ifarch %ix86 x86_64 ppc ppc64 ppc64le s390x armv7hl aarch64
%define kvm_available 1
%else
%define kvm_available 0
%endif
%ifarch %ix86 x86_64 s390x
%define legacy_qemu_kvm 1
%else
%define legacy_qemu_kvm 0
%endif
%if 0%{?suse_version} >= 1210
%define with_systemd 1
%endif
%define noarch_supported 1110

%ifarch x86_64
%if 0%{?suse_version} > 1320 || ( 0%{?suse_version} == 1315 && ( 0%{?is_opensuse} == 0 || 0%{?sle_version} > 120100 ) )
%define with_rbd 1
%endif
%endif

%ifarch aarch64
%define with_rbd 1
%endif

%if 0%{?suse_version} > 1320
%define with_seccomp 1
%endif

%ifarch %ix86 x86_64
%define with_seccomp 1
%endif

Name:           qemu-testsuite
Url:            http://www.qemu.org/
Summary:        Universal CPU emulator
License:        BSD-3-Clause and GPL-2.0 and GPL-2.0+ and LGPL-2.1+ and MIT
Group:          System/Emulators/PC
Version:        2.6.2
Release:        2.9
Source:         http://wiki.qemu.org/download/qemu-2.6.2.tar.bz2
Source99:       http://wiki.qemu.org/download/qemu-2.6.2.tar.bz2.sig
Source1:        80-kvm.rules
Source2:        qemu-ifup
Source3:        kvm.conf
Source4:        qemu-kvm.1.gz
Source5:        60-kvm.rules
Source6:        supported.x86.txt
Source7:        80-qemu-ga.rules
Source8:        qemu-ga.service
Source9:        60-kvm.x86.rules
Source10:       supported.s390.txt
Source11:       supported.arm.txt
Source12:       supported.ppc.txt
# Upstream First -- http://wiki.qemu-project.org/Contribute/SubmitAPatch
# This patch queue is auto-generated from https://gitlab.suse.de/virtualization/qemu
Patch0001:      0001-XXX-dont-dump-core-on-sigabort.patch
Patch0002:      0002-qemu-0.9.0.cvs-binfmt.patch
Patch0003:      0003-qemu-cvs-alsa_bitfield.patch
Patch0004:      0004-qemu-cvs-alsa_ioctl.patch
Patch0005:      0005-qemu-cvs-alsa_mmap.patch
Patch0006:      0006-qemu-cvs-gettimeofday.patch
Patch0007:      0007-qemu-cvs-ioctl_debug.patch
Patch0008:      0008-qemu-cvs-ioctl_nodirection.patch
Patch0009:      0009-block-vmdk-Support-creation-of-SCSI.patch
Patch0010:      0010-linux-user-add-binfmt-wrapper-for-a.patch
Patch0011:      0011-PPC-KVM-Disable-mmu-notifier-check.patch
Patch0012:      0012-linux-user-fix-segfault-deadlock.patch
Patch0013:      0013-linux-user-binfmt-support-host-bina.patch
Patch0014:      0014-linux-user-Ignore-broken-loop-ioctl.patch
Patch0015:      0015-linux-user-lock-tcg.patch
Patch0016:      0016-linux-user-Run-multi-threaded-code-.patch
Patch0017:      0017-linux-user-lock-tb-flushing-too.patch
Patch0018:      0018-linux-user-Fake-proc-cpuinfo.patch
Patch0019:      0019-linux-user-implement-FS_IOC_GETFLAG.patch
Patch0020:      0020-linux-user-implement-FS_IOC_SETFLAG.patch
Patch0021:      0021-linux-user-XXX-disable-fiemap.patch
Patch0022:      0022-slirp-nooutgoing.patch
Patch0023:      0023-vnc-password-file-and-incoming-conn.patch
Patch0024:      0024-linux-user-add-more-blk-ioctls.patch
Patch0025:      0025-linux-user-use-target_ulong.patch
Patch0026:      0026-block-Add-support-for-DictZip-enabl.patch
Patch0027:      0027-block-Add-tar-container-format.patch
Patch0028:      0028-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
Patch0029:      0029-console-add-question-mark-escape-op.patch
Patch0030:      0030-Make-char-muxer-more-robust-wrt-sma.patch
Patch0031:      0031-linux-user-lseek-explicitly-cast-no.patch
Patch0032:      0032-virtfs-proxy-helper-Provide-__u64-f.patch
Patch0033:      0033-configure-Enable-PIE-for-ppc-and-pp.patch
Patch0034:      0034-Raise-soft-address-space-limit-to-h.patch
Patch0035:      0035-increase-x86_64-physical-bits-to-42.patch
Patch0036:      0036-vnc-provide-fake-color-map.patch
Patch0037:      0037-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
Patch0038:      0038-i8254-Fix-migration-from-SLE11-SP2.patch
Patch0039:      0039-acpi_piix4-Fix-migration-from-SLE11.patch
Patch0040:      0040-qtest-Increase-socket-timeout-to-ac.patch
Patch0041:      0041-dictzip-Fix-on-big-endian-systems.patch
Patch0042:      0042-Fix-tigervnc-long-press-issue.patch
Patch0043:      0043-xen_disk-Add-suse-specific-flush-di.patch
Patch0044:      0044-Split-large-discard-requests-from-b.patch
Patch0045:      0045-fix-xen-hvm-direct-kernel-boot.patch
Patch0046:      0046-xen-introduce-dummy-system-device.patch
Patch0047:      0047-xen-write-information-about-support.patch
Patch0048:      0048-xen-add-pvUSB-backend.patch
Patch0049:      0049-xen-move-xen_sysdev-to-xen_backend..patch
Patch0050:      0050-vnc-add-configurable-keyboard-delay.patch
Patch0051:      0051-xen-SUSE-xenlinux-unplug-for-emulat.patch
Patch0052:      0052-configure-add-echo_version-helper.patch
Patch0053:      0053-configure-support-vte-2.91.patch
Patch0054:      0054-scsi-esp-fix-migration.patch
Patch0055:      0055-hw-arm-virt-mark-the-PCIe-host-cont.patch
Patch0056:      0056-xen-when-removing-a-backend-don-t-r.patch
Patch0057:      0057-xen-drain-submit-queue-in-xen-usb-b.patch
Patch0058:      0058-qcow2-avoid-extra-flushes-in-qcow2.patch
Patch0059:      0059-qemu-bridge-helper-reduce-security-.patch
Patch0060:      0060-xen-use-a-common-function-for-pv-an.patch
Patch0061:      0061-xen_platform-unplug-also-SCSI-disks.patch
Patch0062:      0062-virtio-check-vring-descriptor-buffe.patch
Patch0063:      0063-net-vmxnet3-check-for-device_active.patch
Patch0064:      0064-net-vmxnet-initialise-local-tx-desc.patch
Patch0065:      0065-scsi-pvscsi-avoid-infinite-loop-whi.patch
Patch0066:      0066-ARM-KVM-Enable-in-kernel-timers-wit.patch
Patch0067:      0067-hw-net-Fix-a-heap-overflow-in-xlnx..patch
Patch0068:      0068-vmsvga-correct-bitmap-and-pixmap-si.patch
Patch0069:      0069-usb-xhci-fix-memory-leak-in-usb_xhc.patch
Patch0070:      0070-virtio-add-check-for-descriptor-s-m.patch
Patch0071:      0071-net-mcf-limit-buffer-descriptor-cou.patch
Patch0072:      0072-usb-ehci-fix-memory-leak-in-ehci_pr.patch
Patch0073:      0073-xhci-limit-the-number-of-link-trbs-.patch
Patch0074:      0074-9pfs-allocate-space-for-guest-origi.patch
Patch0075:      0075-9pfs-fix-memory-leak-in-v9fs_link.patch
Patch0076:      0076-9pfs-fix-potential-host-memory-leak.patch
Patch0077:      0077-9pfs-fix-memory-leak-in-v9fs_write.patch
Patch0078:      0078-char-serial-check-divider-value-aga.patch
Patch0079:      0079-net-pcnet-check-rx-tx-descriptor-ri.patch
Patch0080:      0080-net-eepro100-fix-memory-leak-in-dev.patch
Patch0081:      0081-net-rocker-set-limit-to-DMA-buffer-.patch
Patch0082:      0082-net-rtl8139-limit-processing-of-rin.patch
Patch0083:      0083-audio-intel-hda-check-stream-entry-.patch
Patch0084:      0084-virtio-gpu-fix-memory-leak-in-virti.patch
Patch0085:      0085-9pfs-fix-integer-overflow-issue-in-.patch
Patch0086:      0086-dma-rc4030-limit-interval-timer-rel.patch
Patch0087:      0087-net-imx-limit-buffer-descriptor-cou.patch
Patch0088:      0088-target-i386-Implement-CPUID-0xB-Ext.patch
Patch0089:      0089-target-i386-present-virtual-L3-cach.patch
Patch0090:      0090-migration-fix-inability-to-save-VM-.patch
Patch0091:      0091-ui-gtk-Fix-a-runtime-warning-on-vte.patch
Patch0092:      0092-gtk-don-t-leak-the-GtkBorder-with-V.patch
Patch0093:      0093-xen-fix-ioreq-handling.patch
Patch0094:      0094-macio-Use-blk_drain-instead-of-blk_.patch
Patch0095:      0095-rbd-Switch-rbd_start_aio-to-byte-ba.patch
Patch0096:      0096-virtio-blk-Release-s-rq-queue-at-sy.patch
Patch0097:      0097-virtio-blk-Remove-stale-comment-abo.patch
Patch0098:      0098-block-reintroduce-bdrv_flush_all.patch
Patch0099:      0099-qemu-use-bdrv_flush_all-for-vm_stop.patch
Patch0100:      0100-block-backend-remove-blk_flush_all.patch
Patch0101:      0101-char-fix-missing-return-in-error-pa.patch
Patch0102:      0102-rbd-shift-byte-count-as-a-64-bit-va.patch
Patch0103:      0103-mirror-use-bdrv_drained_begin-bdrv_.patch
Patch0104:      0104-block-curl-Use-BDRV_SECTOR_SIZE.patch
Patch0105:      0105-block-curl-Fix-return-value-from-cu.patch
Patch0106:      0106-block-curl-Remember-all-sockets.patch
Patch0107:      0107-block-curl-Do-not-wait-for-data-bey.patch
Patch0108:      0108-virtio-allow-per-device-class-legac.patch
Patch0109:      0109-virtio-net-mark-VIRTIO_NET_F_GSO-as.patch
Patch0110:      0110-vhost-adapt-vhost_verify_ring_mappi.patch
Patch0111:      0111-ivshmem-Fix-64-bit-memory-bar-confi.patch
Patch0112:      0112-intel_iommu-fix-incorrect-device-in.patch
Patch0113:      0113-9pfs-fix-information-leak-in-xattr-.patch
Patch0114:      0114-9pfs-fix-memory-leak-in-v9fs_xattrc.patch
Patch0115:      0115-net-mcf-check-receive-buffer-size-r.patch
Patch0116:      0116-virtio-gpu-fix-memory-leak-in-updat.patch
Patch0117:      0117-virtio-gpu-fix-information-leak-in-.patch
Patch0118:      0118-9pfs-adjust-the-order-of-resource-c.patch
Patch0119:      0119-9pfs-add-cleanup-operation-in-FileO.patch
Patch0120:      0120-9pfs-add-cleanup-operation-for-hand.patch
Patch0121:      0121-9pfs-add-cleanup-operation-for-prox.patch
Patch0122:      0122-virtio-gpu-call-cleanup-mapping-fun.patch
Patch0123:      0123-string-input-visitor-Fix-uint64-par.patch
Patch0124:      0124-test-string-input-visitor-Add-int-t.patch
Patch0125:      0125-test-string-input-visitor-Add-uint6.patch
Patch0126:      0126-tests-Add-QOM-property-unit-tests.patch
Patch0127:      0127-tests-Add-scsi-disk-test.patch
Patch0128:      0128-usb-ehci-fix-memory-leak-in-ehci_in.patch
Patch0129:      0129-usbredir-free-vm_change_state_handl.patch
Patch0130:      0130-virtio-gpu-fix-information-leak-in-.patch
# Please do not add QEMU patches manually here.
# Run update_git.sh to regenerate this queue.

%if %{build_x86_fw_from_source}
# roms/seabios patches (and sea-vgabios)
Patch1000:      seabios_128kb.patch

# end roms/seabios patches (and sea-vgabios)

# roms/ipxe patches
Patch1100:      ipxe-ath9k-Fix-buffer-overrun-for-ar9287.patch
Patch1101:      ipxe-mucurses-Fix-GCC-6-nonnull-compare-errors.patch
Patch1102:      ipxe-sis190-Fix-building-with-GCC-6.patch
Patch1103:      ipxe-skge-Fix-building-with-GCC-6.patch
Patch1104:      ipxe-ath-Fix-building-with-GCC-6.patch
Patch1105:      ipxe-legacy-Fix-building-with-GCC-6.patch
Patch1106:      ipxe-util-v5.24-perl-errors-on-redeclare.patch
Patch1107:      ipxe-efi-fix-garbage-bytes-in-device-path.patch
Patch1108:      ipxe-efi-fix-uninitialised-data-in-HII.patch
# end roms/ipxe patches

# roms/SLOF patches
# end roms/SLOF patches
%endif

# this is to make lint happy
Source300:      rpmlintrc
Source302:      bridge.conf
Source400:      update_git.sh
ExcludeArch:    s390
%if "%{name}" == "qemu-testsuite"
ExcludeArch:    s390x
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  SDL-devel
BuildRequires:  alsa-devel
%if 0%{?build_x86_fw_from_source}
BuildRequires:  binutils-devel
%endif
BuildRequires:  bluez-devel
%if 0%{?suse_version} >= 1130
BuildRequires:  brlapi-devel
%endif
BuildRequires:  curl-devel
BuildRequires:  cyrus-sasl-devel
%if 0%{?build_x86_fw_from_source}
BuildRequires:  iasl
%endif
BuildRequires:  e2fsprogs-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
%if 0%{?suse_version} >= 1220
BuildRequires:  gtk3-devel
%else
BuildRequires:  gtk2-devel
%endif
BuildRequires:  libaio
BuildRequires:  libaio-devel
BuildRequires:  libattr-devel
%if 0%{?is_opensuse}
BuildRequires:  libcacard-devel
%endif
BuildRequires:  libcap-devel
BuildRequires:  libcap-ng-devel
BuildRequires:  libdrm-devel
%if 0%{?suse_version} >= 1320 || ( 0%{?suse_version} == 1315 && 0%{?sle_version} > 120100 )
BuildRequires:  libepoxy-devel
%endif
%if 0%{?suse_version} >= 1310
# 12.3 and earlier don't ship a compatible libfdt; use the bundled one there
BuildRequires:  libfdt1-devel
%endif
BuildRequires:  libgbm-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libgnutls-devel
%if 0%{?suse_version} >= 1315
BuildRequires:  libibverbs-devel
%endif
%if 0%{?suse_version} > 1320 || ( 0%{?suse_version} == 1315 && 0%{?sle_version} > 120100 )
BuildRequires:  libiscsi-devel
%endif
BuildRequires:  libjpeg-devel
%ifarch %ix86 aarch64
%if 0%{?suse_version} > 1320 || 0%{?suse_version} == 1315
BuildRequires:  libnuma-devel
%endif
%else
%ifnarch %arm s390x
BuildRequires:  libnuma-devel
%endif
%endif
BuildRequires:  libpcap-devel
BuildRequires:  libpixman-1-0-devel
BuildRequires:  libpng-devel
BuildRequires:  libpulse-devel
%if 0%{?with_rbd}
%if 0%{?is_opensuse}
BuildRequires:  librbd-devel
%else
%if 0%{?sle_version} < 120200
# SLE12SP1 and before name it ceph-devel
BuildRequires:  ceph-devel
%else
# SLE12SP2 and beyond name it librbd-devel
BuildRequires:  librbd-devel
%endif
%endif
%endif
%if 0%{?suse_version} >= 1315
BuildRequires:  librdmacm-devel
%endif
%if 0%{?with_seccomp}
BuildRequires:  libseccomp-devel
%endif
%if 0%{?suse_version} > 1140
BuildRequires:  libssh2-devel
%endif
%if 0%{?suse_version} > 1310
BuildRequires:  libusb-1_0-devel
%endif
BuildRequires:  libvdeplug3-devel
BuildRequires:  lzo-devel
%if 0%{?suse_version} > 1220
BuildRequires:  makeinfo
%endif
BuildRequires:  Mesa-devel
BuildRequires:  ncurses-devel
%if 0%{?build_x86_fw_from_source}
BuildRequires:  ovmf-tools
%endif
BuildRequires:  pkgconfig
BuildRequires:  pwdutils
BuildRequires:  python
%if 0%{?suse_version} >= 1310
BuildRequires:  snappy-devel
%endif
%if 0%{?with_systemd}
%{?systemd_requires}
BuildRequires:  systemd
%endif
%if 0%{?kvm_available}
BuildRequires:  pkgconfig(udev)
%if 0%( pkg-config --exists 'udev > 190' && echo '1' ) == 01
%define _udevrulesdir /usr/lib/udev/rules.d
%else
%define _udevrulesdir /lib/udev/rules.d
%endif
Recommends:     python-curses
%endif
%if 0%{?sles_version} != 11
BuildRequires:  usbredir-devel
%endif
%if 0%{?suse_version} >= 1320 || ( 0%{?suse_version} == 1315 && 0%{?sle_version} > 120100 )
BuildRequires:  virglrenderer-devel >= 0.4.1
%endif
%if 0%{?suse_version} >= 1210
%if 0%{?suse_version} >= 1220
BuildRequires:  vte-devel
%else
BuildRequires:  vte2-devel
%endif
%endif
%ifarch x86_64
BuildRequires:  xen-devel
%endif
BuildRequires:  xfsprogs-devel
%if 0%{?build_x86_fw_from_source}
BuildRequires:  xz-devel
%endif
BuildRequires:  zlib-devel
%if 0%{?suse_version} >= 1140
%ifarch %ix86 x86_64
BuildRequires:  libspice-server-devel
BuildRequires:  spice-protocol-devel
%endif
%endif
%if "%{name}" == "qemu-testsuite"
BuildRequires:  bc
BuildRequires:  qemu-arm   = %version
BuildRequires:  qemu-extra = %version
BuildRequires:  qemu-guest-agent = %version
BuildRequires:  qemu-ppc   = %version
BuildRequires:  qemu-s390  = %version
BuildRequires:  qemu-tools = %version
BuildRequires:  qemu-x86   = %version
%endif
Requires(pre):  pwdutils
Requires(post): coreutils
%if %{kvm_available}
Requires(post): udev
%ifarch s390x
Requires(post): procps
%endif
%endif
%if 0%{?with_systemd}
%ifarch s390x
%{?systemd_requires}
%endif
%endif
Recommends:     qemu-block-curl
Recommends:     qemu-block-iscsi
%if 0%{?with_rbd}
Recommends:     qemu-block-rbd
%endif
Recommends:     qemu-block-ssh
Recommends:     qemu-tools
Recommends:     qemu-x86
%ifarch ppc ppc64 ppc64le
Recommends:     qemu-ppc
%else
Suggests:       qemu-ppc
%endif
%ifarch s390x
Recommends:     qemu-s390
%else
Suggests:       qemu-s390
%endif
%ifarch %arm aarch64
Recommends:     qemu-arm
%else
Suggests:       qemu-arm
%endif
Suggests:       qemu-block-dmg
Suggests:       qemu-extra
Suggests:       qemu-lang

%ifarch x86_64
%define x86_64_only_b_f_f {efi-e1000.rom efi-eepro100.rom \
efi-pcnet.rom efi-ne2k_pci.rom efi-rtl8139.rom efi-virtio.rom}
%endif
%define built_firmware_files {bios.bin bios-256k.bin sgabios.bin vgabios.bin \
vgabios-cirrus.bin vgabios-stdvga.bin vgabios-virtio.bin vgabios-vmware.bin \
vgabios-qxl.bin optionrom/linuxboot.bin optionrom/multiboot.bin \
optionrom/kvmvapic.bin pxe-e1000.rom pxe-pcnet.rom pxe-ne2k_pci.rom \
pxe-rtl8139.rom pxe-eepro100.rom pxe-virtio.rom %{?x86_64_only_b_f_f}}

%description
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

%if "%{name}" != "qemu-testsuite"

%package x86
Summary:        Universal CPU emulator -- x86
Group:          System/Emulators/PC
Requires:       qemu = %version
Requires:       qemu-ipxe
Requires:       qemu-seabios
Requires:       qemu-sgabios
Requires:       qemu-vgabios

%description x86
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package provides i386 and x86_64 emulation.

%package ppc
Summary:        Universal CPU emulator -- Power Architecture
Group:          System/Emulators/PC
Requires:       qemu = %version

%description ppc
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package provides ppc and ppc64 emulation.

%package s390
Summary:        Universal CPU emulator -- S/390
Group:          System/Emulators/PC
Requires:       qemu = %version

%description s390
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package provides s390x emulation.

%package arm
Summary:        Universal CPU emulator -- ARM
Group:          System/Emulators/PC
Requires:       qemu = %version

%description arm
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package provides arm emulation.

%package extra
Summary:        Universal CPU emulator -- extra architectures
Group:          System/Emulators/PC
Requires:       qemu = %version

%description extra
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package provides some lesser used emulations, such as moxie and xtensa.

%if 0%{?legacy_qemu_kvm}
%package kvm
Url:            http://www.linux-kvm.org
Summary:        Kernel-based Virtual Machine
Group:          System/Emulators/PC
%ifarch %ix86 x86_64
Requires:       qemu-x86 = %version
%endif
%ifarch s390x
Requires:       qemu-s390 = %version
%endif
Provides:       kvm = %version
Obsoletes:      kvm < %version

%description kvm
KVM (Kernel-based Virtual Machine) is virtualization software for Linux.
It is designed to leverage the hardware virtualization features included
with various architectures. QEMU uses KVM for CPU virtualization, while
still providing emulation of other system components. This package is
not required for KVM usage, but rather facilitates its usage with tools
derived from the legacy kvm package.
%endif

%package lang
Summary:        Universal CPU emulator -- Translations
Group:          System/Emulators/PC

%description lang
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package contains translations.

# Modules need to match {qemu-system-*,qemu-img} version.
# We cannot have qemu and qemu-tools require them in the right version,
# as that would drag in the dependencies the modules are supposed to avoid.
# Nor can we have modules require the right version of qemu and qemu-tools
# as Xen reuses our qemu-tools but does not want our qemu and qemu-x86.
%define qemu_module_conflicts \
Conflicts:      qemu < %version-%release \
Conflicts:      qemu > %version-%release \
Conflicts:      qemu-tools < %version-%release \
Conflicts:      qemu-tools > %version-%release

%package block-curl
Summary:        Universal CPU emulator -- cURL block support
Group:          System/Emulators/PC
Provides:       qemu:%_libdir/%name/block-curl.so
%{qemu_module_conflicts}

%description block-curl
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package contains a module for accessing network-based image files
over a network connection from qemu-img tool and QEMU system emulation.

%package block-dmg
Summary:        Universal CPU emulator -- DMG block support
Group:          System/Emulators/PC
%{qemu_module_conflicts}

%description block-dmg
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package contains a module for accessing Mac OS X image files
from qemu-img tool and QEMU system emulation.

%if 0%{?suse_version} > 1320 || ( 0%{?suse_version} == 1315 && 0%{?sle_version} > 120100 )
%package block-iscsi
Summary:        Universal CPU emulator -- iSCSI block support
Group:          System/Emulators/PC
%{qemu_module_conflicts}

%description block-iscsi
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package contains a module for accessing iscsi based image files
from qemu-img tool and QEMU system emulation.
%endif

%if 0%{?with_rbd}
%package block-rbd
Summary:        Universal CPU emulator -- Ceph (rbd) block support
Group:          System/Emulators/PC
%{qemu_module_conflicts}

%description block-rbd
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package contains a module for accessing ceph (rbd,rados)
image files.
%endif

%if 0%{?suse_version} > 1140
%package block-ssh
Summary:        Universal CPU emulator -- SSH block support
Group:          System/Emulators/PC
%{qemu_module_conflicts}

%description block-ssh
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package contains a module for accessing network-based image files
over an SSH network connection from qemu-img tool and QEMU system emulation.
%endif

%package tools
Summary:        Universal CPU emulator -- Tools
Group:          System/Emulators/PC
Provides:       qemu:%_libexecdir/qemu-bridge-helper
Requires(post): permissions
Obsoletes:      virt-utils
Recommends:     qemu-block-curl
%if 0%{?with_rbd}
Recommends:     qemu-block-rbd
%endif

%description tools
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package contains various tools, including a bridge helper.

%package guest-agent
Summary:        Universal CPU emulator -- Guest agent
Group:          System/Emulators/PC
Provides:       qemu:%_bindir/qemu-ga
Requires(post): udev
%if 0%{?with_systemd}
%{?systemd_requires}
%endif

%description guest-agent
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package contains the guest agent.

%ifarch %ix86 x86_64
%package seabios
Summary:        X86 BIOS for QEMU
Group:          System/Emulators/PC
Version:        1.9.1
Release:        2.9
%if 0%{?suse_version} > %{noarch_supported}
BuildArch:      noarch
%endif
Conflicts:      qemu < 1.6.0

%description seabios
SeaBIOS is an open source implementation of a 16bit x86 BIOS. SeaBIOS
is the default BIOS for QEMU.

%package vgabios
Summary:        VGA BIOSes for QEMU
Group:          System/Emulators/PC
Version:        1.9.1
Release:        2.9
%if 0%{?suse_version} > %{noarch_supported}
BuildArch:      noarch
%endif
Conflicts:      qemu < 1.6.0

%description vgabios
VGABIOS provides the video ROM BIOSes for the following variants of VGA
emulated devices: Std VGA, QXL, Cirrus CLGD 5446 and VMware emulated
video card.

%package sgabios
Summary:        Serial Graphics Adapter BIOS for QEMU
Group:          System/Emulators/PC
Version:        8
Release:        2.9
%if 0%{?suse_version} > %{noarch_supported}
BuildArch:      noarch
%endif
Conflicts:      qemu < 1.6.0

%description sgabios
The Google Serial Graphics Adapter BIOS or SGABIOS provides a means for legacy
x86 software to communicate with an attached serial console as if a video card
were attached.

%package ipxe
Summary:        PXE ROMs for QEMU NICs
Group:          System/Emulators/PC
Version:        1.0.0
Release:        2.9
%if 0%{?suse_version} > %{noarch_supported}
BuildArch:      noarch
%endif
Conflicts:      qemu < 1.6.0

%description ipxe
Preboot Execution Environment (PXE) ROM support for various emulated network
adapters available with QEMU.
%endif

%endif # !qemu-testsuite

%prep
%setup -q -n qemu-2.6.2
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1
%patch0062 -p1
%patch0063 -p1
%patch0064 -p1
%patch0065 -p1
%patch0066 -p1
%patch0067 -p1
%patch0068 -p1
%patch0069 -p1
%patch0070 -p1
%patch0071 -p1
%patch0072 -p1
%patch0073 -p1
%patch0074 -p1
%patch0075 -p1
%patch0076 -p1
%patch0077 -p1
%patch0078 -p1
%patch0079 -p1
%patch0080 -p1
%patch0081 -p1
%patch0082 -p1
%patch0083 -p1
%patch0084 -p1
%patch0085 -p1
%patch0086 -p1
%patch0087 -p1
%patch0088 -p1
%patch0089 -p1
%patch0090 -p1
%patch0091 -p1
%patch0092 -p1
%patch0093 -p1
%patch0094 -p1
%patch0095 -p1
%patch0096 -p1
%patch0097 -p1
%patch0098 -p1
%patch0099 -p1
%patch0100 -p1
%patch0101 -p1
%patch0102 -p1
%patch0103 -p1
%patch0104 -p1
%patch0105 -p1
%patch0106 -p1
%patch0107 -p1
%patch0108 -p1
%patch0109 -p1
%patch0110 -p1
%patch0111 -p1
%patch0112 -p1
%patch0113 -p1
%patch0114 -p1
%patch0115 -p1
%patch0116 -p1
%patch0117 -p1
%patch0118 -p1
%patch0119 -p1
%patch0120 -p1
%patch0121 -p1
%patch0122 -p1
%patch0123 -p1
%patch0124 -p1
%patch0125 -p1
%patch0126 -p1
%patch0127 -p1
%patch0128 -p1
%patch0129 -p1
%patch0130 -p1

%if 0%{?build_x86_fw_from_source}
pushd roms/seabios
%patch1000 -p1
popd
pushd roms/ipxe
%patch1100 -p1
%patch1101 -p1
%patch1102 -p1
%patch1103 -p1
%patch1104 -p1
%patch1105 -p1
%patch1106 -p1
%patch1107 -p1
%patch1108 -p1
popd

# as a safeguard, delete the firmware files that we intend to build
for i in %built_firmware_files
do
  %{__rm} -f pc-bios/$i
done
%endif

%if 0%{?build_slof_from_source}
pushd roms/SLOF
popd
%{__rm} -f pc-bios/slof.bin
%endif

%build
./configure \
	--prefix=%_prefix \
	--sysconfdir=%_sysconfdir \
	--libdir=%_libdir \
	--libexecdir=%_libexecdir \
	--localstatedir=%_localstatedir \
	--extra-cflags="%{optflags}" \
	--disable-stack-protector \
	--disable-strip \
	--with-pkgversion="%(echo '%{distribution}' | sed 's/ (.*)//')" \
	--enable-system --disable-linux-user \
	--enable-tools --enable-guest-agent \
	--enable-modules \
	--enable-pie \
	--enable-docs \
	--audio-drv-list="pa alsa sdl oss" \
	--disable-archipelago \
	--enable-attr \
	--enable-bluez \
%if 0%{?suse_version} >= 1130
	--enable-brlapi \
%else
	--disable-brlapi \
%endif
	--enable-bzip2 \
	--enable-cap-ng \
	--enable-coroutine-pool \
	--enable-curl \
	--enable-curses \
	--enable-fdt \
	--enable-gcrypt \
	--disable-glusterfs \
	--enable-gnutls \
	--enable-gtk \
%if 0%{?suse_version} >= 1220
	--with-gtkabi=3.0 \
%else
	--with-gtkabi=2.0 \
%endif
%if 0%{?kvm_available}
	--enable-kvm \
%else
	--disable-kvm \
%endif
%if 0%{?suse_version} > 1320 || ( 0%{?suse_version} == 1315 && 0%{?sle_version} > 120100 )
	--enable-libiscsi \
%else
	--disable-libiscsi \
%endif
	--disable-libnfs \
%if 0%{?suse_version} > 1140
	--enable-libssh2 \
%else
	--disable-libssh2 \
%endif
%if 0%{?suse_version} > 1310
	--enable-libusb \
%else
	--disable-libusb \
%endif
	--enable-linux-aio \
	--enable-lzo \
	--disable-netmap \
%ifarch %ix86 aarch64
%if 0%{?suse_version} > 1320 || 0%{?suse_version} == 1315
	--enable-numa \
%else
	--disable-numa \
%endif
%else
%ifarch %arm s390x
	--disable-numa \
%else
	--enable-numa \
%endif
%endif
%if 0%{?suse_version} >= 1320 || ( 0%{?suse_version} == 1315 && 0%{?sle_version} > 120100 )
	--enable-opengl \
%endif
%if 0%{?with_rbd}
	--enable-rbd \
%else
	--disable-rbd \
%endif
%if 0%{?suse_version} >= 1315
	--enable-rdma \
%else
	--disable-rdma \
%endif
	--enable-sdl \
%if 0%{?suse_version} >= 1320
	--with-sdlabi=2.0 \
%else
	--with-sdlabi=1.2 \
%endif
%if 0%{?with_seccomp}
	--enable-seccomp \
%else
	--disable-seccomp \
%endif
%if 0%{?is_opensuse}
	--enable-smartcard \
%endif
%if 0%{?suse_version} >= 1310
	--enable-snappy \
%else
	--disable-snappy \
%endif
%if 0%{?suse_version} >= 1140
%ifarch %ix86 x86_64
	--enable-spice \
%else
	--disable-spice \
%endif
%else
	--disable-spice \
%endif
	--enable-tpm \
%if 0%{?sles_version} != 11
	--enable-usb-redir \
%else
	--disable-usb-redir \
%endif
	--enable-uuid \
	--enable-vde \
	--enable-vhdx \
	--enable-vhost-net \
%if 0%{?suse_version} >= 1320 || ( 0%{?suse_version} == 1315 && 0%{?sle_version} > 120100 )
	--enable-virglrenderer \
%endif
	--enable-virtfs \
	--enable-vnc \
	--enable-vnc-jpeg \
	--enable-vnc-png \
	--enable-vnc-sasl \
%if 0%{?suse_version} == 1320
	--disable-vte \
%else
	--enable-vte \
%endif
%ifarch x86_64
	--enable-xen \
	--enable-xen-pci-passthrough \
	--enable-xen-pv-domain-build \
%else
	--disable-xen \
%endif
	--enable-xfsctl \

%if "%{name}" != "qemu-testsuite"

make %{?_smp_mflags} V=1

# Firmware
%if 0%{?build_x86_fw_from_source}
# sizes produced are ok for migration except pxe, which needs help (see below)
make %{?_smp_mflags} -C roms bios
make %{?_smp_mflags} -C roms seavgabios
make %{?_smp_mflags} -C roms pxerom
%ifarch x86_64
make %{?_smp_mflags} -C roms efirom
%endif
make                 -C roms sgabios
# enforce pxe rom sizes for migration compatability from SLE 11 SP3 forward
# the following need to be > 64K
%define supported_nics_large {e1000 rtl8139}
# the following need to be <= 64K
%define supported_nics_small {virtio}
# Though not required, make unsupported pxe roms migration compatable as well
%define unsupported_nics {eepro100 ne2k_pci pcnet}

for i in %supported_nics_large %unsupported_nics
  do
    if test "`stat -c '%s' pc-bios/pxe-$i.rom`" -gt "131072" ; then
    echo "pxe rom is too large"
    exit 1
  fi
  if test "`stat -c '%s' pc-bios/pxe-$i.rom`" -le "65536" ; then
    ./roms/ipxe/src/util/padimg.pl pc-bios/pxe-$i.rom -s 65536 -b 255
    echo -ne "SEGMENT OVERAGE\0" >> pc-bios/pxe-$i.rom
  fi
done
for i in %supported_nics_small
  do
    if test "`stat -c '%s' pc-bios/pxe-$i.rom`" -gt "65536" ; then
    echo "pxe rom is too large"
    exit 1
  fi
done
%endif
%if 0%{?build_slof_from_source}
make %{?_smp_mflags} -C roms slof
%endif
%ifarch s390x
cp pc-bios/s390-ccw/s390-ccw.img pc-bios/s390-ccw.img
%endif

%else # qemu-testsuite

ln -s %{_bindir}/qemu-img qemu-img
ln -s %{_bindir}/qemu-ga qemu-ga

%if 0%{?build_x86_fw_from_source}
for i in %built_firmware_files
do
  ln -s %{_datadir}/qemu/$i pc-bios/$i
done
%endif

for conf in default-configs/*-softmmu.mak; do
  arch=`echo "$conf" | sed -e 's|default-configs/\(.*\)-softmmu.mak|\1|g'`
  ln -s %{_bindir}/qemu-system-$arch $arch-softmmu/qemu-system-$arch
done

# Compile the QOM test binary first, so that ...
make tests/qom-test %{?_smp_mflags} V=1
# ... make comes in fresh and has lots of address space (needed for 32bit, bsc#957379)
%if 0%{?suse_version} >= 1310
make check-report.html V=1
%{__install} -D -m 644 check-report.html %{buildroot}%{_datadir}/qemu/check-report.html
%else
make check-report.xml V=1
%endif

%endif

%check
%if "%{name}" == "qemu-testsuite"

%ifnarch %ix86 x64_64
export QEMU_PROG=%{_bindir}/qemu-system-x86_64
%endif
export QEMU_IMG_PROG=%{_bindir}/qemu-img
export QEMU_IO_PROG=%{_bindir}/qemu-io
export QEMU_NBD_PROG=%{_bindir}/qemu-nbd
# make check-block would rebuild qemu-img and qemu-io
make tests/qemu-iotests/socket_scm_helper V=1
pushd tests/qemu-iotests
# -qcow 001 seems to hang?
# TODO investigate hangs and failures
#for fmt in -raw -bochs -cloop -parallels -qcow2 -qed -vdi -vpc -vhdx -vmdk; do
#  ./check -v -T $fmt -file -g quick || true
#done
popd

# Create minimal gzip format file
echo "Test" > test.txt
cat test.txt | gzip - > test.gz
# Check qemu-img info output (bsc#945778)
format=`qemu-img info test.gz | grep "file format:" | cut -d ':' -f 2 | tr -d '[:space:]'`
[ "$format" == "raw" ] || false

# Create minimal tar format file
tar cf test.tar test.txt
# Check qemu-img info output (bsc#945778)
format=`qemu-img info test.tar | grep "file format:" | cut -d ':' -f 2 | tr -d '[:space:]'`
[ "$format" == "raw" ] || false

%endif # qemu-testsuite

%install
%if "%{name}" != "qemu-testsuite"

make install DESTDIR=%{buildroot}
%{__rm} -fr %{buildroot}%{_datadir}/doc
%if ! 0%{?build_x86_fw_from_source}
for f in acpi-dsdt.aml bios-256k.bin bios.bin efi-*.rom pxe-*.rom sgabios.bin \
         vgabios-cirrus.bin vgabios-qxl.bin vgabios-stdvga.bin vgabios-virtio.bin \
         vgabios-vmware.bin vgabios.bin; do
  %{__rm} -f %{buildroot}%{_datadir}/%name/$f
done
%endif
%{__install} -D -m 0644 %{SOURCE302} %{buildroot}%{_sysconfdir}/qemu/bridge.conf
%{__install} -D -m 0755 %{SOURCE2} %{buildroot}%{_datadir}/%name/qemu-ifup
%{__install} -D -m 0644 %{SOURCE6} %{buildroot}%{_docdir}/qemu-x86/supported.txt
%{__install} -D -m 0644 %{SOURCE10} %{buildroot}%{_docdir}/qemu-s390/supported.txt
%{__install} -D -m 0644 %{SOURCE11} %{buildroot}%{_docdir}/qemu-arm/supported.txt
%{__install} -D -m 0644 %{SOURCE12} %{buildroot}%{_docdir}/qemu-ppc/supported.txt
%find_lang %name
%if 0%{?legacy_qemu_kvm}
cat > %{buildroot}%{_bindir}/qemu-kvm << 'EOF'
#!/bin/sh

%ifarch s390x
exec %{_bindir}/qemu-system-s390x -machine accel=kvm "$@"
%else
exec %{_bindir}/qemu-system-x86_64 -machine accel=kvm "$@"
%endif
EOF
chmod 755 %{buildroot}%{_bindir}/qemu-kvm
%ifarch s390x
mkdir -p %{buildroot}%{_sysconfdir}/sysctl.d
cat >  %{buildroot}%{_sysconfdir}/sysctl.d/50-allow-kvm-on-s390x <<- 'EOF'
	# To allow KVM to run on s390x, we need to set the sysctl below
	vm.allocate_pgste = 1
EOF
chmod 644 %{buildroot}%{_sysconfdir}/sysctl.d/50-allow-kvm-on-s390x
%endif
%{__install} -D -m 0644 %{SOURCE4} %{buildroot}%{_mandir}/man1/qemu-kvm.1.gz
%{__install} -d %{buildroot}%{_docdir}/qemu-kvm
%ifarch s390x
ln -s ../qemu-s390/supported.txt %{buildroot}%{_docdir}/qemu-kvm/kvm-supported.txt
%else
ln -s ../qemu-x86/supported.txt %{buildroot}%{_docdir}/qemu-kvm/kvm-supported.txt
%endif
%endif
%if 0%{?kvm_available}
%{__install} -D -m 0755 scripts/kvm/kvm_stat %{buildroot}%{_bindir}/kvm_stat
%{__install} -D -m 0755 kvm_stat.1 %{buildroot}%{_mandir}/man1/kvm_stat.1
%if 0%{?suse_version} >= 1230
%{__install} -D -m 0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/80-kvm.rules
%else
%ifarch %ix86 x86_64
%{__install} -D -m 0644 %{SOURCE9} %{buildroot}%{_udevrulesdir}/60-kvm.rules
%else
%{__install} -D -m 0644 %{SOURCE5} %{buildroot}%{_udevrulesdir}/60-kvm.rules
%endif
%endif
%endif
%{__install} -D -m 0644 %{SOURCE7} %{buildroot}%{_udevrulesdir}/80-qemu-ga.rules
%if 0%{?with_systemd}
%{__install} -D -m 0644 %{SOURCE8} %{buildroot}%{_unitdir}/qemu-ga.service
%ifarch s390x
%{__install} -D -m 0644 %{SOURCE3} %{buildroot}%{_libexecdir}/modules-load.d/kvm.conf
%endif
%endif
%fdupes -s %{buildroot}

%else # qemu-testsuite

%if 0%{?suse_version} >= 1310
%{__install} -D -m 644 check-report.html %{buildroot}%{_datadir}/qemu/check-report.html
%endif
%{__install} -D -m 644 check-report.xml %{buildroot}%{_datadir}/qemu/check-report.xml

%endif

%if "%{name}" != "qemu-testsuite"

%pre
%{_bindir}/getent group kvm >/dev/null || %{_sbindir}/groupadd -r kvm 2>/dev/null
%{_bindir}/getent group qemu >/dev/null || %{_sbindir}/groupadd -r qemu 2>/dev/null
%{_bindir}/getent passwd qemu >/dev/null || \
  %{_sbindir}/useradd -r -g qemu -G kvm -d / -s /sbin/nologin \
  -c "qemu user" qemu

%if 0%{?kvm_available}
%post
# Do not execute operations affecting host devices while running in a chroot
if [ $(stat -L -c "%i" /proc/1/root/) = $(stat -L -c "%i" /) ]; then
  setfacl --remove-all /dev/kvm &> /dev/null || :
%if 0%{?with_systemd}
%ifarch s390x
  if [ -c /dev/kvm ]; then
    %{_bindir}/chmod 666 /dev/kvm
    %{_bindir}/chgrp kvm /dev/kvm
  fi
%endif
  %udev_rules_update
  %_bindir/udevadm trigger -y kvm || :
%else
  /sbin/udevadm control --reload-rules  || :
  /sbin/udevadm trigger -y kvm || :
%endif
%ifarch s390x
sysctl vm.allocate_pgste=1 || :
%endif
fi
%endif

%if 0%{?suse_version} >= 1130
%post tools
%set_permissions %_libexecdir/qemu-bridge-helper

%verifyscript tools
%verify_permissions %_libexecdir/qemu-bridge-helper
%endif

%pre guest-agent
%if 0%{?with_systemd}
%service_add_pre qemu-ga.service

%preun guest-agent
%service_del_preun qemu-ga.service

%post guest-agent
if [ "$(readlink -f /proc/1/root)" = "/" ]; then
  /sbin/udevadm control --reload-rules  || :
  /sbin/udevadm trigger --name-match=virtio-ports/org.qemu.guest_agent.0 || :
fi
%service_add_post qemu-ga.service

%postun guest-agent
%service_del_postun qemu-ga.service
%endif

%endif # !qemu-testsuite

%files
%defattr(-, root, root)
%if "%{name}" != "qemu-testsuite"
%doc COPYING COPYING.LIB Changelog README VERSION qemu-doc.html qemu-tech.html
%doc qmp-commands.txt
%_mandir/man1/qemu.1.gz
%dir %_datadir/%name
%_datadir/%name/keymaps
%_datadir/%name/trace-events
%_datadir/%name/qemu-icon.bmp
%_datadir/%name/qemu-ifup
%_datadir/%name/qemu_logo_no_text.svg
%dir %_sysconfdir/%name
%if 0%{?kvm_available}
%_bindir/kvm_stat
%_mandir/man1/kvm_stat.1.gz
%if 0%{?suse_version} >= 1230
%{_udevrulesdir}/80-kvm.rules
%else
%{_udevrulesdir}/60-kvm.rules
%endif
%ifarch s390x
%{_sysconfdir}/sysctl.d/50-allow-kvm-on-s390x
%if 0%{?with_systemd}
%_libexecdir/modules-load.d/kvm.conf
%endif
%endif
%endif

%files x86
%defattr(-, root, root)
%_bindir/qemu-system-i386
%_bindir/qemu-system-x86_64
%_datadir/%name/kvmvapic.bin
%_datadir/%name/linuxboot.bin
%_datadir/%name/multiboot.bin
%dir %_docdir/qemu-x86
%_docdir/qemu-x86/supported.txt

%files ppc
%defattr(-, root, root)
%_bindir/qemu-system-ppc
%_bindir/qemu-system-ppc64
%_bindir/qemu-system-ppcemb
%_datadir/%name/ppc_rom.bin
%_datadir/%name/openbios-ppc
%_datadir/%name/slof.bin
%_datadir/%name/spapr-rtas.bin
%_datadir/%name/u-boot.e500
%_datadir/%name/bamboo.dtb
%_datadir/%name/petalogix-ml605.dtb
%dir %_docdir/qemu-ppc
%_docdir/qemu-ppc/supported.txt

%files s390
%defattr(-, root, root)
%_bindir/qemu-system-s390x
%_datadir/%name/s390-ccw.img
%dir %_docdir/qemu-s390
%_docdir/qemu-s390/supported.txt

%files arm
%defattr(-, root, root)
%_bindir/qemu-system-arm
%_bindir/qemu-system-aarch64
%dir %_docdir/qemu-arm
%_docdir/qemu-arm/supported.txt

%files extra
%defattr(-, root, root)
%_bindir/qemu-system-alpha
%_bindir/qemu-system-cris
%_bindir/qemu-system-lm32
%_bindir/qemu-system-m68k
%_bindir/qemu-system-microblaze
%_bindir/qemu-system-microblazeel
%_bindir/qemu-system-mips
%_bindir/qemu-system-mipsel
%_bindir/qemu-system-mips64
%_bindir/qemu-system-mips64el
%_bindir/qemu-system-moxie
%_bindir/qemu-system-or32
%_bindir/qemu-system-sh4
%_bindir/qemu-system-sh4eb
%_bindir/qemu-system-sparc
%_bindir/qemu-system-sparc64
%_bindir/qemu-system-tricore
%_bindir/qemu-system-unicore32
%_bindir/qemu-system-xtensa
%_bindir/qemu-system-xtensaeb
%_datadir/%name/palcode-clipper
%_datadir/%name/openbios-sparc32
%_datadir/%name/openbios-sparc64
%_datadir/%name/petalogix-s3adsp1800.dtb
%_datadir/%name/QEMU,cgthree.bin
%_datadir/%name/QEMU,tcx.bin

%if 0%{?legacy_qemu_kvm}
%files kvm
%defattr(-,root,root)
%_bindir/qemu-kvm
%_mandir/man1/qemu-kvm.1.gz
%dir %_docdir/qemu-kvm
%_docdir/qemu-kvm/kvm-supported.txt
%endif

%files block-curl
%defattr(-, root, root)
%dir %_libdir/%name
%_libdir/%name/block-curl.so

%files block-dmg
%defattr(-, root, root)
%_libdir/%name/block-dmg.so

%if 0%{?suse_version} > 1320 || ( 0%{?suse_version} == 1315 && 0%{?sle_version} > 120100 )
%files block-iscsi
%defattr(-, root, root)
%_libdir/%name/block-iscsi.so
%endif

%if 0%{?with_rbd}
%files block-rbd
%defattr(-, root, root)
%dir %_libdir/%name
%_libdir/%name/block-rbd.so
%endif

%if 0%{?suse_version} > 1140
%files block-ssh
%defattr(-, root, root)
%dir %_libdir/%name
%_libdir/%name/block-ssh.so
%endif

%files lang -f %name.lang
%defattr(-, root, root)

%if %{build_x86_fw_from_source}
%files seabios
%defattr(-, root, root)
%_datadir/%name/bios.bin
%_datadir/%name/bios-256k.bin
%_datadir/%name/acpi-dsdt.aml

%files vgabios
%defattr(-, root, root)
%_datadir/%name/vgabios.bin
%_datadir/%name/vgabios-cirrus.bin
%_datadir/%name/vgabios-qxl.bin
%_datadir/%name/vgabios-stdvga.bin
%_datadir/%name/vgabios-virtio.bin
%_datadir/%name/vgabios-vmware.bin

%files sgabios
%defattr(-, root, root)
%_datadir/%name/sgabios.bin

%files ipxe
%defattr(-, root, root)
%_datadir/%name/pxe-e1000.rom
%_datadir/%name/pxe-eepro100.rom
%_datadir/%name/pxe-pcnet.rom
%_datadir/%name/pxe-ne2k_pci.rom
%_datadir/%name/pxe-rtl8139.rom
%_datadir/%name/pxe-virtio.rom
%_datadir/%name/efi-e1000.rom
%_datadir/%name/efi-eepro100.rom
%_datadir/%name/efi-pcnet.rom
%_datadir/%name/efi-ne2k_pci.rom
%_datadir/%name/efi-rtl8139.rom
%_datadir/%name/efi-virtio.rom
%endif

%files tools
%defattr(-, root, root)
%doc %_mandir/man1/qemu-img.1.gz
%doc %_mandir/man1/virtfs-proxy-helper.1.gz
%doc %_mandir/man8/qemu-nbd.8.gz
%_bindir/ivshmem-client
%_bindir/ivshmem-server
%_bindir/qemu-io
%_bindir/qemu-img
%_bindir/qemu-nbd
%_bindir/virtfs-proxy-helper
%verify(not mode) %attr(4750,root,kvm) %_libexecdir/qemu-bridge-helper
%dir %_sysconfdir/%name
%config %_sysconfdir/%name/bridge.conf

%files guest-agent
%defattr(-, root, root)
%doc %_mandir/man8/qemu-ga.8.gz
%attr(755,root,root) %_bindir/qemu-ga
%if 0%{?with_systemd}
%{_unitdir}/qemu-ga.service
%endif
%{_udevrulesdir}/80-qemu-ga.rules

%else # qemu-testsuite
%doc %_datadir/qemu/check-report.xml
%if 0%{?suse_version} >= 1310
%doc %_datadir/qemu/check-report.html
%endif
%endif

%changelog
* Thu Jan  5 2017 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
- The recent security fix for a DOS in the cirrus vga interface is
  causing a regression in that a SLES11 SP4 HVM guest gui (under Xen)
  is no longer updating correctly. Temporarily remove that fix until
  the right solution is found. (bsc#1016779)
  * Patches dropped (assumed temporary):
  0131-display-cirrus-check-vga-bits-per-p.patch
* Mon Dec 12 2016 brogers@suse.com
- Address various security/stability issues
  * Fix DOS in usb ehci emulation (CVE-2016-9911 bsc#1014111)
  0128-usb-ehci-fix-memory-leak-in-ehci_in.patch
  * Fix DOS in usb redirection (CVE-2016-9907 bsc#1014109)
  0129-usbredir-free-vm_change_state_handl.patch
  * Fix host information leak to guest in virtio-gpu (CVE-2016-9908 bsc#1014514)
  0130-virtio-gpu-fix-information-leak-in-.patch
  * Fix DOS in cirrus vga interface (CVE-2016-9921 CVE-2016-9922
  bsc#1014702 bsc#1015169)
  0131-display-cirrus-check-vga-bits-per-p.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Thu Dec  8 2016 afaerber@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Fix uint64 property parsing and add regression tests (bsc#937125):
  0123-string-input-visitor-Fix-uint64-par.patch
  0124-test-string-input-visitor-Add-int-t.patch
  0125-test-string-input-visitor-Add-uint6.patch
  0126-tests-Add-QOM-property-unit-tests.patch
  0127-tests-Add-scsi-disk-test.patch
* Wed Dec  7 2016 brogers@suse.com
- Address various security/stability issues
  * Fix host information leak to the guest in 9pfs interface
  (CVE-2016-9103 bsc#1007454)
  0113-9pfs-fix-information-leak-in-xattr-.patch
  * Fix DOS in 9pfs interface (CVE-2016-9102 bsc#1014256)
  0114-9pfs-fix-memory-leak-in-v9fs_xattrc.patch
  * Fix DOS in ColdFire Fast Ethernet Controller emulation
  (CVE-2016-9776 bsc#1013285)
  0115-net-mcf-check-receive-buffer-size-r.patch
  * Fix DOS in virtio-gpu (CVE-2016-9846 bsc#1013764)
  0116-virtio-gpu-fix-memory-leak-in-updat.patch
  * Fix host information leak to the guest in 9pfs interface
  (CVE-2016-9845 bsc#1013767)
  0117-virtio-gpu-fix-information-leak-in-.patch
  * Fix DOS in 9pfs interface (CVE-2016-9913 bsc#1014110)
  0118-9pfs-adjust-the-order-of-resource-c.patch
  0119-9pfs-add-cleanup-operation-in-FileO.patch
  0120-9pfs-add-cleanup-operation-for-hand.patch
  0121-9pfs-add-cleanup-operation-for-prox.patch
  * Fix DOS in virtio-gpu (CVE-2016-9912 bsc#1014112)
  0122-virtio-gpu-call-cleanup-mapping-fun.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Tue Dec  6 2016 brogers@suse.com
- Add in upstream commits targeted towards stable releases, plus
  other related patches found upon validating the appropriateness
  of these patches for our release. (bsc#1013341)
  0094-macio-Use-blk_drain-instead-of-blk_.patch
  0095-rbd-Switch-rbd_start_aio-to-byte-ba.patch
  0096-virtio-blk-Release-s-rq-queue-at-sy.patch
  0097-virtio-blk-Remove-stale-comment-abo.patch
  0098-block-reintroduce-bdrv_flush_all.patch
  0099-qemu-use-bdrv_flush_all-for-vm_stop.patch
  0100-block-backend-remove-blk_flush_all.patch
  0101-char-fix-missing-return-in-error-pa.patch
  0102-rbd-shift-byte-count-as-a-64-bit-va.patch
  0103-mirror-use-bdrv_drained_begin-bdrv_.patch
  0104-block-curl-Use-BDRV_SECTOR_SIZE.patch
  0105-block-curl-Fix-return-value-from-cu.patch
  0106-block-curl-Remember-all-sockets.patch
  0107-block-curl-Do-not-wait-for-data-bey.patch
  0108-virtio-allow-per-device-class-legac.patch
  0109-virtio-net-mark-VIRTIO_NET_F_GSO-as.patch
  0110-vhost-adapt-vhost_verify_ring_mappi.patch
  0111-ivshmem-Fix-64-bit-memory-bar-confi.patch
  0112-intel_iommu-fix-incorrect-device-in.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Wed Nov 30 2016 brogers@suse.com
- Fix potential privilege escalation in x86 Xen HVM ring interface
  (CVE-2016-9381 bsc#1009109)
  0093-xen-fix-ioreq-handling.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Wed Nov 16 2016 brogers@suse.com
- Install man page for kvm_stat
- Fix crash in vte (bsc#1008519)
  0091-ui-gtk-Fix-a-runtime-warning-on-vte.patch
  0092-gtk-don-t-leak-the-GtkBorder-with-V.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Thu Nov  3 2016 brogers@suse.com
- Change kvm-supported.txt to be per-architecture documentation,
  stored in the package documentation directory of each per-arch
  package that has some support status (qemu-x86, qemu-s390, and
  qemu-arm). The kvm-supported.txt file is now a legacy name
  (it is stored with the legacy package after all), with then
  new name being supported.txt, moving away from the idea that
  the features identified therein are only kvm specific features.
  These 3 support.txt files still have basically the same content.
  The support information will be separated soon as the next step.
  (bsc#1005353)
- Update support doc to include current ARM64 (AArch64) support
  stance. Make other improvments to the doc. (bsc#1005374)
* Thu Nov  3 2016 brogers@suse.com
- Fix migration failure when snapshot also has been done (bsc#1008148)
  0090-migration-fix-inability-to-save-VM-.patch
- Change package post script udevadm trigger calls to be device
  specific (bsc#1002116)
- Add qmp-commands.txt documentation file back in. It was inadvertently
  dropped some time ago
* Tue Nov  1 2016 brogers@suse.com
- Add an x86 cpu option (l3-cache) to specify that an L3 cache is
  present and another option (cpuid-0xb) to enable the cpuid 0xb
  leaf,  which deals with extended topology enumeration. Both these
  options are off by default so we don't change the guest abi.
  These can be used to improve performance. (bsc#1007769)
  0088-target-i386-Implement-CPUID-0xB-Ext.patch
  0089-target-i386-present-virtual-L3-cach.patch
* Tue Nov  1 2016 brogers@suse.com
- Address various security/stability issues
  * Fix OOB access in xlnx.xpx-ethernetlite emulation (CVE-2016-7161 bsc#1001151)
  0067-hw-net-Fix-a-heap-overflow-in-xlnx..patch
  * Fix OOB access in VMware SVGA emulation (CVE-2016-7170 bsc#998516)
  0068-vmsvga-correct-bitmap-and-pixmap-si.patch
  * Fix DOS in USB xHCI emulation (CVE-2016-7466 bsc#1000345)
  0069-usb-xhci-fix-memory-leak-in-usb_xhc.patch
  * Fix NULL pointer dereference in virtio processing (CVE-2016-7422 bsc#1000346)
  0070-virtio-add-check-for-descriptor-s-m.patch
  * Fix DOS in ColdFire Fast Ethernet Controller emulation
  (CVE-2016-7908 bsc#1002550)
  0071-net-mcf-limit-buffer-descriptor-cou.patch
  * Fix DOS in USB EHCI emulation (CVE-2016-7995 bsc#1003612)
  0072-usb-ehci-fix-memory-leak-in-ehci_pr.patch
  * Fix DOS in USB xHCI emulation (CVE-2016-8576 bsc#1003878)
  0073-xhci-limit-the-number-of-link-trbs-.patch
  * Fix DOS in virtio-9pfs (CVE-2016-8578 bsc#1003894)
  0074-9pfs-allocate-space-for-guest-origi.patch
  * Fix DOS in virtio-9pfs (CVE-2016-9105 bsc#1007494)
  0075-9pfs-fix-memory-leak-in-v9fs_link.patch
  * Fix DOS in virtio-9pfs (CVE-2016-8577 bsc#1003893)
  0076-9pfs-fix-potential-host-memory-leak.patch
  * Fix DOS in virtio-9pfs (CVE-2016-9106 bsc#1007495)
  0077-9pfs-fix-memory-leak-in-v9fs_write.patch
  * Fix DOS in 16550A UART emulation (CVE-2016-8669 bsc#1004707)
  0078-char-serial-check-divider-value-aga.patch
  * Fix DOS in PC-Net II emulation (CVE-2016-7909 bsc#1002557)
  0079-net-pcnet-check-rx-tx-descriptor-ri.patch
  * Fix DOS in PRO100 emulation (CVE-2016-9101 bsc#1007391)
  0080-net-eepro100-fix-memory-leak-in-dev.patch
  * Fix OOB access in Rocker switch emulation (CVE-2016-8668 bsc#1004706)
  0081-net-rocker-set-limit-to-DMA-buffer-.patch
  * Fix DOS in RTL8139 emulation (CVE-2016-8910 bsc#1006538)
  0082-net-rtl8139-limit-processing-of-rin.patch
  * Fix DOS in Intel HDA controller emulation (CVE-2016-8909 bsc#1006536)
  0083-audio-intel-hda-check-stream-entry-.patch
  * Fix DOS in virtio-gpu (CVE-2016-7994 bsc#1003613)
  0084-virtio-gpu-fix-memory-leak-in-virti.patch
  * Fix DOS in virtio-9pfs (CVE-2016-9104 bsc#1007493)
  0085-9pfs-fix-integer-overflow-issue-in-.patch
  * Fix DOS in JAZZ RC4030 emulation (CVE-2016-8667 bsc#1004702)
  0086-dma-rc4030-limit-interval-timer-rel.patch
  * Fix DOS in i.MX NIC emulation (CVE-2016-7907 bsc#1002549)
  0087-net-imx-limit-buffer-descriptor-cou.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Fri Oct 28 2016 brogers@suse.com
- Update to v2.6.2 a stable, bug-fix-only release (fate#316228)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped (upstreamed):
  0064-net-vmxnet-use-g_new-for-pkt-initia.patch
  0065-9pfs-handle-walk-of-.-in-the-root-d.patch
  0067-scsi-check-page-count-while-initial.patch
  0069-scsi-mptconfig-fix-format-string.patch
  0070-scsi-mptconfig-fix-an-assert-expres.patch
  * Patches renamed:
  0066-net-vmxnet-initialise-local-tx-desc.patch
  - > 0064-net-vmxnet-initialise-local-tx-desc.patch
  0068-scsi-pvscsi-avoid-infinite-loop-whi.patch
  - > 0065-scsi-pvscsi-avoid-infinite-loop-whi.patch
  0071-ARM-KVM-Enable-in-kernel-timers-wit.patch
  - > 0066-ARM-KVM-Enable-in-kernel-timers-wit.patch
* Fri Oct 28 2016 brogers@suse.com
- Enable smartcard support for Leap 42.2 (boo#1007263)
* Mon Sep 19 2016 agraf@suse.com
- Allow kvm to run on the RPi3 (bsc#999212)
  0071-ARM-KVM-Enable-in-kernel-timers-wit.patch
* Thu Sep  8 2016 brogers@suse.com
- Address various security/stability issues
  * Fix potential DOS in virtio via infinite loop (CVE-2016-6490 bsc#991466)
  0062-virtio-check-vring-descriptor-buffe.patch
  * Fix use-after-free issue in vmxnet3 (CVE-2016-6888 bsc#994771)
  0063-net-vmxnet3-check-for-device_active.patch
  * Fix potential DOS in vmxnet (CVE-2016-6833 bsc#994774)
  0064-net-vmxnet-use-g_new-for-pkt-initia.patch
  * Fix directory traversal flaw in 9p virtio backend
  (CVE-2016-7116 bsc#996441)
  0065-9pfs-handle-walk-of-.-in-the-root-d.patch
  * Plug data leak in vmxnet3 emulation (CVE-2016-6836 bsc#994760)
  0066-net-vmxnet-initialise-local-tx-desc.patch
  * Avoid OOB access or DOS in malicious use of Vmware pv scsi interface
  (CVE-2016-7155 bsc#997858)
  0067-scsi-check-page-count-while-initial.patch
  * Avoid DOS potential in Vmware pv scsi interface (CVE-2016-7156 bsc#997859)
  0068-scsi-pvscsi-avoid-infinite-loop-whi.patch
  * Fix OOB access in LSI SAS1068 emulation (CVE-2016-7157 bsc#997860)
  0069-scsi-mptconfig-fix-format-string.patch
  * Fix incorrect assert in LSI SAS1068 emulation (CVE-2016-7157 bsc#997860)
  0070-scsi-mptconfig-fix-an-assert-expres.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Thu Sep  1 2016 ohering@suse.de
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
- Xen HVM: unplug also SCSI disks (bnc#953518)
  * Patches added:
  0061-xen_platform-unplug-also-SCSI-disks.patch
* Wed Aug 17 2016 brogers@suse.com
- Update to v2.6.1 a stable, bug-fix-only release (fate#316228)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped (upstreamed):
  0045-net-mipsnet-check-packet-length-aga.patch
  0046-i386-kvmvapic-initialise-imm32-vari.patch
  0048-vga-add-sr_vbe-register-set.patch
  0049-esp-check-command-buffer-length-bef.patch
  0050-esp-check-dma-length-before-reading.patch
  0051-scsi-pvscsi-check-command-descripto.patch
  0052-scsi-mptsas-infinite-loop-while-fet.patch
  0053-scsi-megasas-use-appropriate-proper.patch
  0054-scsi-megasas-check-read_queue_head-.patch
  0055-scsi-megasas-null-terminate-bios-ve.patch
  0056-vmsvga-move-fifo-sanity-checks-to-v.patch
  0057-vmsvga-don-t-process-more-than-1024.patch
  0058-block-iscsi-avoid-potential-overflo.patch
  0059-scsi-esp-check-TI-buffer-index-befo.patch
  0065-scsi-megasas-initialise-local-confi.patch
  0067-scsi-esp-check-buffer-length-before.patch
  0068-scsi-esp-respect-FIFO-invariant-aft.patch
  0069-pci-assign-Move-Invalid-ROM-error-m.patch
  0072-Xen-PCI-passthrough-fix-passthrough.patch
  0073-scsi-esp-make-cmdbuf-big-enough-for.patch
  0076-virtio-error-out-if-guest-exceeds-v.patch
  * Patches renamed:
  0047-fix-xen-hvm-direct-kernel-boot.patch
  - > 0045-fix-xen-hvm-direct-kernel-boot.patch
  0060-xen-introduce-dummy-system-device.patch
  - > 0046-xen-introduce-dummy-system-device.patch
  0061-xen-write-information-about-support.patch
  - > 0047-xen-write-information-about-support.patch
  0062-xen-add-pvUSB-backend.patch
  - > 0048-xen-add-pvUSB-backend.patch
  0063-xen-move-xen_sysdev-to-xen_backend..patch
  - > 0049-xen-move-xen_sysdev-to-xen_backend..patch
  0064-vnc-add-configurable-keyboard-delay.patch
  - > 0050-vnc-add-configurable-keyboard-delay.patch
  0066-xen-SUSE-xenlinux-unplug-for-emulat.patch
  - > 0051-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0070-configure-add-echo_version-helper.patch
  - > 0052-configure-add-echo_version-helper.patch
  0071-configure-support-vte-2.91.patch
  - > 0053-configure-support-vte-2.91.patch
  0074-scsi-esp-fix-migration.patch
  - > 0054-scsi-esp-fix-migration.patch
  0075-hw-arm-virt-mark-the-PCIe-host-cont.patch
  - > 0055-hw-arm-virt-mark-the-PCIe-host-cont.patch
  0077-xen-when-removing-a-backend-don-t-r.patch
  - > 0056-xen-when-removing-a-backend-don-t-r.patch
  0078-xen-drain-submit-queue-in-xen-usb-b.patch
  - > 0057-xen-drain-submit-queue-in-xen-usb-b.patch
  0079-qcow2-avoid-extra-flushes-in-qcow2.patch
  - > 0058-qcow2-avoid-extra-flushes-in-qcow2.patch
  0080-qemu-bridge-helper-reduce-security-.patch
  - > 0059-qemu-bridge-helper-reduce-security-.patch
  0081-xen-use-a-common-function-for-pv-an.patch
  - > 0060-xen-use-a-common-function-for-pv-an.patch
* Wed Aug  3 2016 brogers@suse.com
- use upstream solution for building xen-usb.c correctly
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped:
  0063-usb-Fix-conditions-that-xen-usb.c-i.patch
  * Patches added:
  0063-xen-move-xen_sysdev-to-xen_backend..patch
* Wed Aug  3 2016 brogers@suse.com
- Fix pvusb not working for HVM guests (bsc#991785)
  * Patches added:
  0081-xen-use-a-common-function-for-pv-an.patch
* Tue Aug  2 2016 brogers@suse.com
- Finally get qemu-bridge-helper the permissions it needs for non-
  root usage. The kvm group is leveraged to control access. (boo#988279)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0080-qemu-bridge-helper-reduce-security-.patch
* Fri Jul 29 2016 brogers@suse.com
- Avoid unneeded flushes in qcow2 which impact performance (bsc#991296)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0079-qcow2-avoid-extra-flushes-in-qcow2.patch
* Fri Jul 29 2016 brogers@suse.com
- Fix potential crashes in qemu from pvusb bugs (bsc#986156)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0077-xen-when-removing-a-backend-don-t-r.patch
  0078-xen-drain-submit-queue-in-xen-usb-b.patch
* Thu Jul 28 2016 brogers@suse.com
- Avoid potential for guest initiated OOM condition in qemu through
  virtio interface (CVE-2016-5403 bsc#991080)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0076-virtio-error-out-if-guest-exceeds-v.patch
* Thu Jul 28 2016 agraf@suse.com
- Fix ARM PCIe DMA coherency bug (bsc#991034)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0075-hw-arm-virt-mark-the-PCIe-host-cont.patch
* Wed Jul 27 2016 brogers@suse.com
- Fix failure in Xen HVM PCI passthrough (bsc#981925, bsc#989250)
  0072-Xen-PCI-passthrough-fix-passthrough.patch
- Fix OOB access in 53C9X emulation (CVE-2016-6351 bsc#990835)
  0073-scsi-esp-make-cmdbuf-big-enough-for.patch
  0074-scsi-esp-fix-migration.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Tue Jul 26 2016 brogers@suse.com
- Minor spec file tweaks
- Modify the chroot guard in qemu:post to be more careful (boo#860275)
- Remove deprecated patch "work-around-SA_RESTART-race" (boo#982208)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped:
  0002-XXX-work-around-SA_RESTART-race-wit.patch
  * Patches renamed:
  0003-qemu-0.9.0.cvs-binfmt.patch
  - > 0002-qemu-0.9.0.cvs-binfmt.patch
  0004-qemu-cvs-alsa_bitfield.patch
  - > 0003-qemu-cvs-alsa_bitfield.patch
  0005-qemu-cvs-alsa_ioctl.patch
  - > 0004-qemu-cvs-alsa_ioctl.patch
  0006-qemu-cvs-alsa_mmap.patch
  - > 0005-qemu-cvs-alsa_mmap.patch
  0007-qemu-cvs-gettimeofday.patch
  - > 0006-qemu-cvs-gettimeofday.patch
  0008-qemu-cvs-ioctl_debug.patch
  - > 0007-qemu-cvs-ioctl_debug.patch
  0009-qemu-cvs-ioctl_nodirection.patch
  - > 0008-qemu-cvs-ioctl_nodirection.patch
  0010-block-vmdk-Support-creation-of-SCSI.patch
  - > 0009-block-vmdk-Support-creation-of-SCSI.patch
  0011-linux-user-add-binfmt-wrapper-for-a.patch
  - > 0010-linux-user-add-binfmt-wrapper-for-a.patch
  0012-PPC-KVM-Disable-mmu-notifier-check.patch
  - > 0011-PPC-KVM-Disable-mmu-notifier-check.patch
  0013-linux-user-fix-segfault-deadlock.patch
  - > 0012-linux-user-fix-segfault-deadlock.patch
  0014-linux-user-binfmt-support-host-bina.patch
  - > 0013-linux-user-binfmt-support-host-bina.patch
  0015-linux-user-Ignore-broken-loop-ioctl.patch
  - > 0014-linux-user-Ignore-broken-loop-ioctl.patch
  0016-linux-user-lock-tcg.patch
  - > 0015-linux-user-lock-tcg.patch
  0017-linux-user-Run-multi-threaded-code-.patch
  - > 0016-linux-user-Run-multi-threaded-code-.patch
  0018-linux-user-lock-tb-flushing-too.patch
  - > 0017-linux-user-lock-tb-flushing-too.patch
  0019-linux-user-Fake-proc-cpuinfo.patch
  - > 0018-linux-user-Fake-proc-cpuinfo.patch
  0020-linux-user-implement-FS_IOC_GETFLAG.patch
  - > 0019-linux-user-implement-FS_IOC_GETFLAG.patch
  0021-linux-user-implement-FS_IOC_SETFLAG.patch
  - > 0020-linux-user-implement-FS_IOC_SETFLAG.patch
  0022-linux-user-XXX-disable-fiemap.patch
  - > 0021-linux-user-XXX-disable-fiemap.patch
  0023-slirp-nooutgoing.patch
  - > 0022-slirp-nooutgoing.patch
  0024-vnc-password-file-and-incoming-conn.patch
  - > 0023-vnc-password-file-and-incoming-conn.patch
  0025-linux-user-add-more-blk-ioctls.patch
  - > 0024-linux-user-add-more-blk-ioctls.patch
  0026-linux-user-use-target_ulong.patch
  - > 0025-linux-user-use-target_ulong.patch
  0027-block-Add-support-for-DictZip-enabl.patch
  - > 0026-block-Add-support-for-DictZip-enabl.patch
  0028-block-Add-tar-container-format.patch
  - > 0027-block-Add-tar-container-format.patch
  0029-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  - > 0028-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  0030-console-add-question-mark-escape-op.patch
  - > 0029-console-add-question-mark-escape-op.patch
  0031-Make-char-muxer-more-robust-wrt-sma.patch
  - > 0030-Make-char-muxer-more-robust-wrt-sma.patch
  0032-linux-user-lseek-explicitly-cast-no.patch
  - > 0031-linux-user-lseek-explicitly-cast-no.patch
  0033-virtfs-proxy-helper-Provide-__u64-f.patch
  - > 0032-virtfs-proxy-helper-Provide-__u64-f.patch
  0034-configure-Enable-PIE-for-ppc-and-pp.patch
  - > 0033-configure-Enable-PIE-for-ppc-and-pp.patch
  0035-Raise-soft-address-space-limit-to-h.patch
  - > 0034-Raise-soft-address-space-limit-to-h.patch
  0036-increase-x86_64-physical-bits-to-42.patch
  - > 0035-increase-x86_64-physical-bits-to-42.patch
  0037-vnc-provide-fake-color-map.patch
  - > 0036-vnc-provide-fake-color-map.patch
  0038-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  - > 0037-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0039-i8254-Fix-migration-from-SLE11-SP2.patch
  - > 0038-i8254-Fix-migration-from-SLE11-SP2.patch
  0040-acpi_piix4-Fix-migration-from-SLE11.patch
  - > 0039-acpi_piix4-Fix-migration-from-SLE11.patch
  0041-qtest-Increase-socket-timeout-to-ac.patch
  - > 0040-qtest-Increase-socket-timeout-to-ac.patch
  0042-dictzip-Fix-on-big-endian-systems.patch
  - > 0041-dictzip-Fix-on-big-endian-systems.patch
  0043-Fix-tigervnc-long-press-issue.patch
  - > 0042-Fix-tigervnc-long-press-issue.patch
  0044-xen_disk-Add-suse-specific-flush-di.patch
  - > 0043-xen_disk-Add-suse-specific-flush-di.patch
  0045-Split-large-discard-requests-from-b.patch
  - > 0044-Split-large-discard-requests-from-b.patch
  0046-net-mipsnet-check-packet-length-aga.patch
  - > 0045-net-mipsnet-check-packet-length-aga.patch
  0047-i386-kvmvapic-initialise-imm32-vari.patch
  - > 0046-i386-kvmvapic-initialise-imm32-vari.patch
  0048-fix-xen-hvm-direct-kernel-boot.patch
  - > 0047-fix-xen-hvm-direct-kernel-boot.patch
  0049-vga-add-sr_vbe-register-set.patch
  - > 0048-vga-add-sr_vbe-register-set.patch
  0050-esp-check-command-buffer-length-bef.patch
  - > 0049-esp-check-command-buffer-length-bef.patch
  0051-esp-check-dma-length-before-reading.patch
  - > 0050-esp-check-dma-length-before-reading.patch
  0052-scsi-pvscsi-check-command-descripto.patch
  - > 0051-scsi-pvscsi-check-command-descripto.patch
  0053-scsi-mptsas-infinite-loop-while-fet.patch
  - > 0052-scsi-mptsas-infinite-loop-while-fet.patch
  0054-scsi-megasas-use-appropriate-proper.patch
  - > 0053-scsi-megasas-use-appropriate-proper.patch
  0055-scsi-megasas-check-read_queue_head-.patch
  - > 0054-scsi-megasas-check-read_queue_head-.patch
  0056-scsi-megasas-null-terminate-bios-ve.patch
  - > 0055-scsi-megasas-null-terminate-bios-ve.patch
  0057-vmsvga-move-fifo-sanity-checks-to-v.patch
  - > 0056-vmsvga-move-fifo-sanity-checks-to-v.patch
  0058-vmsvga-don-t-process-more-than-1024.patch
  - > 0057-vmsvga-don-t-process-more-than-1024.patch
  0059-block-iscsi-avoid-potential-overflo.patch
  - > 0058-block-iscsi-avoid-potential-overflo.patch
  0060-scsi-esp-check-TI-buffer-index-befo.patch
  - > 0059-scsi-esp-check-TI-buffer-index-befo.patch
  0061-xen-introduce-dummy-system-device.patch
  - > 0060-xen-introduce-dummy-system-device.patch
  0062-xen-write-information-about-support.patch
  - > 0061-xen-write-information-about-support.patch
  0063-xen-add-pvUSB-backend.patch
  - > 0062-xen-add-pvUSB-backend.patch
  0064-usb-Fix-conditions-that-xen-usb.c-i.patch
  - > 0063-usb-Fix-conditions-that-xen-usb.c-i.patch
  0065-vnc-add-configurable-keyboard-delay.patch
  - > 0064-vnc-add-configurable-keyboard-delay.patch
  0066-scsi-megasas-initialise-local-confi.patch
  - > 0065-scsi-megasas-initialise-local-confi.patch
  0067-xen-SUSE-xenlinux-unplug-for-emulat.patch
  - > 0066-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0068-scsi-esp-check-buffer-length-before.patch
  - > 0067-scsi-esp-check-buffer-length-before.patch
  0069-scsi-esp-respect-FIFO-invariant-aft.patch
  - > 0068-scsi-esp-respect-FIFO-invariant-aft.patch
  0070-pci-assign-Move-Invalid-ROM-error-m.patch
  - > 0069-pci-assign-Move-Invalid-ROM-error-m.patch
  0071-configure-add-echo_version-helper.patch
  - > 0070-configure-add-echo_version-helper.patch
  0072-configure-support-vte-2.91.patch
  - > 0071-configure-support-vte-2.91.patch
* Tue Jul 19 2016 brogers@suse.com
- Clean up the udev ifdeffery to cover systemd as well
- Also trigger udev rules under systemd (bsc#989655)
- Move s390x sysctl into if
* Thu Jul 14 2016 brogers@suse.com
- Align spec file closer to the one used in OBS
- Enable vte to be used again in more configurations (bsc#988855)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0071-configure-add-echo_version-helper.patch
  0072-configure-support-vte-2.91.patch
* Thu Jul 14 2016 agraf@suse.com
- Allow s390x kvm enabling sysctl to fail
- Enable ceph on aarch64 (bsc#979473)
- Rename libceph to librbd for sle12sp2 (FATE#321010)
* Tue Jul 12 2016 brogers@suse.com
- Use BuildRequires: librbd-devel if is_opensuse defined and true
  for compatibility with Leap 42.2
* Mon Jul  4 2016 glin@suse.com
- Fix OVMF iPXE network menu (bsc#986033, boo#987488)
  ipxe-efi-fix-garbage-bytes-in-device-path.patch
  ipxe-efi-fix-uninitialised-data-in-HII.patch
* Fri Jul  1 2016 brogers@suse.com
- Fix more potential OOB accesses in 53C9X emulation
  (CVE-2016-5238 bsc#982959)
  0068-scsi-esp-check-buffer-length-before.patch
  0069-scsi-esp-respect-FIFO-invariant-aft.patch
- Avoid "Invalid ROM" error message when it is not appropriate
  (bsc#982927)
  0070-pci-assign-Move-Invalid-ROM-error-m.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Tue Jun 21 2016 ohering@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0067-xen-SUSE-xenlinux-unplug-for-emulat.patch
  (bsc#953339, bsc#953362, bsc#953518, bsc#984981)
* Fri Jun 10 2016 brogers@suse.com
- Fix host information leak to guest in MegaRAID SAS 8708EM2 Host
  Bus AdapterMegaRAID SAS 8708EM2 Host Bus Adapter emulation support
  (CVE-2016-5105 bsc#982017)
  * Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  0066-scsi-megasas-initialise-local-confi.patch
* Fri Jun 10 2016 brogers@suse.com
- Address various security/stability issues
  * Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Fix OOB access in megasas emulated device (CVE-2016-5106 bsc#982018)
  0054-scsi-megasas-use-appropriate-proper.patch
  * Fix OOB access in megasas emulated device (CVE-2016-5107 bsc#982019)
  0055-scsi-megasas-check-read_queue_head-.patch
  * Fix OOB access in megasas emulated device (CVE-2016-5337 bsc#983961)
  0056-scsi-megasas-null-terminate-bios-ve.patch
  * Correct the vmvga fifo access checks (CVE-2016-4454 bsc#982222)
  0057-vmsvga-move-fifo-sanity-checks-to-v.patch
  * Fix potential DoS issue in vmvga processing (CVE-2016-4453 bsc#982223)
  0058-vmsvga-don-t-process-more-than-1024.patch
  * Fix heap buffer overflow flaw when iscsi protocol is used
  (CVE-2016-5126 bsc#982285)
  0059-block-iscsi-avoid-potential-overflo.patch
  * Fix OOB access in 53C9X emulation (CVE-2016-5338 bsc#983982)
  0060-scsi-esp-check-TI-buffer-index-befo.patch
- Add support to qemu for pv-usb under Xen (fate#316612)
  0061-xen-introduce-dummy-system-device.patch
  0062-xen-write-information-about-support.patch
  0063-xen-add-pvUSB-backend.patch
  0064-usb-Fix-conditions-that-xen-usb.c-i.patch
- Provide ability to rate limit keyboard events from the vnc server.
  This is part of the solution to an issue affecting openQA testing,
  where characters are lost, resulting in unexpected failures
  (bsc#974914)
  0065-vnc-add-configurable-keyboard-delay.patch
* Fri Jun  3 2016 brogers@suse.com
- Adjust to parallel changes in virglrenderer packages - no longer
  "BuildRequires" virglrenderer directly, just the devel package.
* Wed Jun  1 2016 brogers@suse.com
- Fix build compatibility with gcc6 wrt ipxe rom where compiler
  warnings are treated as errors.
  ipxe-ath9k-Fix-buffer-overrun-for-ar9287.patch
  ipxe-mucurses-Fix-GCC-6-nonnull-compare-errors.patch
  ipxe-sis190-Fix-building-with-GCC-6.patch
  ipxe-skge-Fix-building-with-GCC-6.patch
  ipxe-ath-Fix-building-with-GCC-6.patch
  ipxe-legacy-Fix-building-with-GCC-6.patch
- Fix ipxe build script which fails under perl v5.24
  ipxe-util-v5.24-perl-errors-on-redeclare.patch
- Specify build time disk space requirements for ppc64 and ppc64le
* Wed Jun  1 2016 agraf@suse.com
- Add sysctl script and %%post on s390x to allow kvm usage (bsc#975331)
* Tue May 31 2016 behlert@suse.com
- increase required disk space, needed on ppc64le [bsc#982365]
* Sat May 28 2016 brogers@suse.com
- Disable qemu-testsuite on s390x for now - there is an unresolved
  test failure.
* Wed May 25 2016 afaerber@suse.com
- Enable NUMA for aarch64 (fate#319979)
* Tue May 24 2016 brogers@suse.com
- Address various security/stability issues
  * Fix regression of vga behavior introduced in v2.6.0-rc5 with fix
  for CVE-2016-3712 (bsc#978160)
  0049-vga-add-sr_vbe-register-set.patch
  * Avoid OOB access in 53C9X emulation CVE-2016-4439 (bsc#980711)
  0050-esp-check-command-buffer-length-bef.patch
  * Avoid OOB access in 53C9X emulation CVE-2016-4441 (bsc#980723)
  0051-esp-check-dma-length-before-reading.patch
  * Avoid OOB access in Vmware PV SCSI emulation CVE-2016-4952 (bsc#981266)
  0052-scsi-pvscsi-check-command-descripto.patch
  * Avoid potential DoS in LSI SAS1068 emulation CVE-2016-4964 (bsc#981399)
  0053-scsi-mptsas-infinite-loop-while-fet.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Wed May 11 2016 brogers@suse.com
- Update to v2.6.0 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
* Mon May  9 2016 brogers@suse.com
- Update to v2.6.0-rc5 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
  * Fixes vga vulnerability CVE-2016-3710 (bsc#978158)
  * Fixes vga vulnerability CVE-2016-3712 (bsc#978160)
* Tue May  3 2016 brogers@suse.com
- Only build efi roms on x86_64
* Tue May  3 2016 cyliu@suse.com
- fix bsc#970791: xen hvm direct kernel boot issue
  previous 0045-Revert-Revert-xen-hvm-increase-maxm.patch is
  a temp workaround, delete it, and add new patch
  0048-fix-xen-hvm-direct-kernel-boot.patch to fix the issue.
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped:
  0045-Revert-Revert-xen-hvm-increase-maxm.patch
  0046-Split-large-discard-requests-from-b.patch
  0047-net-mipsnet-check-packet-length-aga.patch
  0048-i386-kvmvapic-initialise-imm32-vari.patch
  * Patches added:
  0045-Split-large-discard-requests-from-b.patch
  0046-net-mipsnet-check-packet-length-aga.patch
  0047-i386-kvmvapic-initialise-imm32-vari.patch
  0048-fix-xen-hvm-direct-kernel-boot.patch
* Mon May  2 2016 brogers@suse.com
- Update to v2.6.0-rc4 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
* Tue Apr 26 2016 brogers@suse.com
- Address various security/stability issues
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Fix OOB access in MIPSnet emulated controller CVE-2016-4002 (bsc#975136)
  0047-net-mipsnet-check-packet-length-aga.patch
  * Fix possible host data leakage to guest from TPR access
  CVE-2016-4020 (bsc#975700)
  0048-i386-kvmvapic-initialise-imm32-vari.patch
* Fri Apr 22 2016 afaerber@suse.com
- Partially revert sr#106884 cleanup
- Indicate SUSE version
* Thu Apr 21 2016 brogers@suse.com
- Update to v2.6.0-rc3 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
- Use ovmf-tools to build efi pxe roms
* Thu Apr 14 2016 brogers@suse.com
- Update to v2.6.0-rc2 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
  * Fixes bsc#974141
  * Add support for virtio-gpu (fate#319660)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped:
  0047-tests-Use-correct-config-param-for-.patch (upstream)
* Thu Mar 31 2016 ohering@suse.de
- Slightly reduce delta with qemu-opensuse
* Thu Mar 31 2016 brogers@suse.com
- It appears we have the wrong criteria for inclusion of the test-crypto-pbkdf
  test. Fix to use CONFIG_NETTLE_KDF instead of CONFIG_NETTLE.
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0047-tests-Use-correct-config-param-for-.patch
* Tue Mar 29 2016 brogers@suse.com
- Update to v2.6.0-rc0 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped (upstream except as noted):
  0041-s390-Remove-legacy-s390-virtio-mach.patch
  0044-Don-t-change-total_size-when-creati.patch
  0045-fw_cfg-avoid-calculating-invalid-cu.patch
  0046-i386-avoid-null-pointer-dereference.patch
  0047-scsi-initialise-info-object-with-ap.patch
  0048-ehci-make-idt-processing-more-robus.patch
  0049-net-ne2000-fix-bounds-check-in-iopo.patch
  0050-ide-ahci-reset-ncq-object-to-unused.patch
  0051-net-vmxnet3-avoid-memory-leakage-in.patch
  0052-hmp-fix-sendkey-out-of-bounds-write.patch
  0053-usb-ehci-add-capability-mmio-write-.patch
  0054-e1000-eliminate-infinite-loops-on-o.patch
  * Patches renamed:
  0042-qtest-Increase-socket-timeout-to-ac.patch
  - > 0041-qtest-Increase-socket-timeout-to-ac.patch
  0043-dictzip-Fix-on-big-endian-systems.patch
  - > 0042-dictzip-Fix-on-big-endian-systems.patch
  0055-Fix-tigervnc-long-press-issue.patch
  - > 0043-Fix-tigervnc-long-press-issue.patch
  0056-xen_disk-Add-suse-specific-flush-di.patch
  - > 0044-xen_disk-Add-suse-specific-flush-di.patch
  0057-Revert-Revert-xen-hvm-increase-maxm.patch
  - > 0045-Revert-Revert-xen-hvm-increase-maxm.patch
  0058-Split-large-discard-requests-from-b.patch
  - > 0046-Split-large-discard-requests-from-b.patch
* Thu Mar 24 2016 ohering@suse.de
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0058-Split-large-discard-requests-from-b.patch (bsc#964427)
* Fri Mar 11 2016 brogers@suse.com
- Temporarily revert an upstream patch to fix the failure of Xen
  HVM network installs. Our QEMU is incompatible with current Xen
  because Xen hasn't yet been adjusted to that upstream change
  in QEMU's Xen HVM support. (bsc#970791)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0057-Revert-Revert-xen-hvm-increase-maxm.patch
* Wed Mar  9 2016 brogers@suse.com
- port patch which has been maintained in Xen provided QEMU
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0056-xen_disk-Add-suse-specific-flush-di.patch
* Thu Mar  3 2016 cyliu@suse.com
- port patch for bsc#882405 to SP2
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0055-Fix-tigervnc-long-press-issue.patch
* Thu Feb 25 2016 brogers@suse.com
  * This is a major release update from v2.3.1 to v2.5.0
  cf. http://wiki.qemu-project.org/ChangeLog/2.5 (fate#316228)
  cf. http://wiki.qemu-project.org/ChangeLog/2.4
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped (upstream except as noted):
  0015-linux-user-arm-no-tb_flush-on-reset.patch (tb_flush() not called)
  0031-Legacy-Patch-kvm-qemu-preXX-report-.patch (more trouble than its worth)
  0044-s390-Default-virtio-blk-to-ccw.patch
  0046-configure-reduce-libseccomp-version.patch
  0047-pcnet-force-the-buffer-access-to-be.patch
  0048-linux-user-Allocate-thunk-size-dyna.patch
  0049-slirp-use-less-predictable-director.patch
  0051-vnc-fix-memory-corruption-CVE-2015-.patch
  0052-qcow2-Handle-EAGAIN-returned-from-u.patch
  0053-qcow2-Make-qcow2_alloc_bytes-more-e.patch
  0054-net-avoid-infinite-loop-when-receiv.patch
  0055-net-add-checks-to-validate-ring-buf.patch
  0056-ide-fix-ATAPI-command-permissions.patch
  0057-virtio-introduce-virtqueue_unmap_sg.patch
  0058-virtio-introduce-virtqueue_discard.patch
  0059-virtio-net-correctly-drop-truncated.patch
  0060-e1000-Avoid-infinite-loop-in-proces.patch
  0062-eepro100-Prevent-two-endless-loops.patch
  0063-pcnet-fix-rx-buffer-overflow-CVE-20.patch
  0064-fw_cfg-add-check-to-validate-curren.patch (see 0045-* patch added)
  0067-ui-vnc-avoid-floating-point-excepti.patch
  0068-virtio-serial-fix-ANY_LAYOUT.patch
  0070-msix-implement-pba-write-but-read-o.patch
  0072-ahci-add-ncq_err-helper.patch
  0074-vmxnet3-Support-reading-IMR-registe.patch
  0076-net-vmxnet3-Refine-l2-header-valida.patch
  ipxe-prefix-Use-.bss16-as-temporary-stac.patch
  ipxe-zbin-Fix-check-for-existence-of-mos.patch
  ipxe-zbin-Perform-extra-normalisation-af.patch
  ipxe-zbin-Remove-now-unused-unnrv2b.S-de.patch
  ipxe-zbin-Use-LZMA-compression.patch
  vgabios-Add-config-option-for-assembler-.patch
  vgabios-Emulate-leal-instruction.patch
  SLOF_ppc64le.patch
  * Patches renamed:
  0032-console-add-question-mark-escape-op.patch
  - > 0030-console-add-question-mark-escape-op.patch
  0033-Make-char-muxer-more-robust-wrt-sma.patch
  - > 0031-Make-char-muxer-more-robust-wrt-sma.patch
  0034-linux-user-lseek-explicitly-cast-no.patch
  - > 0032-linux-user-lseek-explicitly-cast-no.patch
  0035-virtfs-proxy-helper-Provide-__u64-f.patch
  - > 0033-virtfs-proxy-helper-Provide-__u64-f.patch
  0036-configure-Enable-PIE-for-ppc-and-pp.patch
  - > 0034-configure-Enable-PIE-for-ppc-and-pp.patch
  0037-Raise-soft-address-space-limit-to-h.patch
  - > 0035-Raise-soft-address-space-limit-to-h.patch
  0038-increase-x86_64-physical-bits-to-42.patch
  - > 0036-increase-x86_64-physical-bits-to-42.patch
  0039-vnc-provide-fake-color-map.patch
  - > 0037-vnc-provide-fake-color-map.patch
  0040-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  - > 0038-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0041-i8254-Fix-migration-from-SLE11-SP2.patch
  - > 0039-i8254-Fix-migration-from-SLE11-SP2.patch
  0042-acpi_piix4-Fix-migration-from-SLE11.patch
  - > 0040-acpi_piix4-Fix-migration-from-SLE11.patch
  0043-s390-Remove-legacy-s390-virtio-mach.patch
  - > 0041-s390-Remove-legacy-s390-virtio-mach.patch
  0045-qtest-Increase-socket-timeout-to-ac.patch
  - > 0042-qtest-Increase-socket-timeout-to-ac.patch
  0050-dictzip-Fix-on-big-endian-systems.patch
  - > 0043-dictzip-Fix-on-big-endian-systems.patch
  0061-Don-t-change-total_size-when-creati.patch
  - > 0044-Don-t-change-total_size-when-creati.patch
  0065-i386-avoid-null-pointer-dereference.patch
  - > 0046-i386-avoid-null-pointer-dereference.patch
  0066-scsi-initialise-info-object-with-ap.patch
  - > 0047-scsi-initialise-info-object-with-ap.patch
  0069-ehci-make-idt-processing-more-robus.patch
  - > 0048-ehci-make-idt-processing-more-robus.patch
  0071-net-ne2000-fix-bounds-check-in-iopo.patch
  - > 0049-net-ne2000-fix-bounds-check-in-iopo.patch
  0073-ide-ahci-reset-ncq-object-to-unused.patch
  - > 0050-ide-ahci-reset-ncq-object-to-unused.patch
  0075-net-vmxnet3-avoid-memory-leakage-in.patch
  - > 0051-net-vmxnet3-avoid-memory-leakage-in.patch
  0077-hmp-fix-sendkey-out-of-bounds-write.patch
  - > 0052-hmp-fix-sendkey-out-of-bounds-write.patch
  0078-usb-ehci-add-capability-mmio-write-.patch
  - > 0053-usb-ehci-add-capability-mmio-write-.patch
  0079-e1000-eliminate-infinite-loops-on-o.patch
  - > 0054-e1000-eliminate-infinite-loops-on-o.patch
  * Patches added:
  0045-fw_cfg-avoid-calculating-invalid-cu.patch
* Thu Feb 25 2016 brogers@suse.com
- Begin package changes targeted for SLE-12-SP2
  Point to just created SLE12-SP2 git branch in update_git.sh
* Thu Feb  4 2016 brogers@suse.com
- Avoid potential QEMU DoS for long HMP sendkey command argument
  (CVE-2015-8619 bsc#960334)
- Fix case of malicious privileged guest user being able to cause
  QEMU DoS by writing to read-only EHCI capabilities registers
  (CVE-2016-2198 bsc#964413)
- Avoid potential QEMU DoS (infinite loop) in e1000 device emulation,
  causable by malicious privileged user within guest
  (CVE-2016-1981 bsc#963782)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0077-hmp-fix-sendkey-out-of-bounds-write.patch
  0078-usb-ehci-add-capability-mmio-write-.patch
  0079-e1000-eliminate-infinite-loops-on-o.patch
* Thu Jan 28 2016 cyliu@suse.com
- Fix incorrect l2 header validation leads to a crash via assert(2) call
  (CVE-2015-8744 bsc#960835)
- Fix vmxnet3 host memory leakage
  (CVE-2015-8568 CVE-2015-8567 bsc#959386)
- Fix reading IMR registers leads to a crash via assert(2) call
  (CVE-2015-8745 bsc#960708)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0074-vmxnet3-Support-reading-IMR-registe.patch
  0075-net-vmxnet3-avoid-memory-leakage-in.patch
  0076-net-vmxnet3-Refine-l2-header-valida.patch
* Wed Jan 27 2016 lma@suse.com
- Fix vulnerabilities in vnc floating point exception.
  (CVE-2015-8504 bsc#958491)
- Fix vulnerabilities in buffer overflow in virtio-serial.
  (CVE-2015-5745 bsc#940929)
- Fix vulnerabilities in infinite loop in ehci_advance_state results in DoS.
  (CVE-2015-8558 bsc#959005)
- Fix vulnerabilities in pci null pointer dereference issue.
  (CVE-2015-7549 bsc#958917)
- Fix vulnerabilities in ne2000 OOB memory access in ioport r/w functions.
  (CVE-2015-8743 bsc#960725)
- Fix vulnerabilities in ahci use-after-free vulnerability in aio port commands.
  (CVE-2016-1568 bsc#961333)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0067-ui-vnc-avoid-floating-point-excepti.patch
  0068-virtio-serial-fix-ANY_LAYOUT.patch
  0069-ehci-make-idt-processing-more-robus.patch
  0070-msix-implement-pba-write-but-read-o.patch
  0071-net-ne2000-fix-bounds-check-in-iopo.patch
  0072-ahci-add-ncq_err-helper.patch
  0073-ide-ahci-reset-ncq-object-to-unused.patch
* Tue Jan 26 2016 brogers@suse.com
- Fix potential OOB memory access in processing firmware configuration.
  (CVE-2016-1714 bsc#961691)
- Fix potential NULL pointer derefernce when processing hmp i/o command.
  (CVE-2016-1922 bsc#962320)
- Fix wrong sized memset in megasas command handler.
  (CVE-2015-8613 bsc#961556)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0064-fw_cfg-add-check-to-validate-curren.patch
  0065-i386-avoid-null-pointer-dereference.patch
  0066-scsi-initialise-info-object-with-ap.patch
* Thu Dec  3 2015 brogers@suse.com
- Enforce receive packet size, thus eliminating buffer overflow and
  potential security issue. (bsc#957162 CVE-2015-7512)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0063-pcnet-fix-rx-buffer-overflow-CVE-20.patch
* Wed Dec  2 2015 cyliu@suse.com
- Security Fix:
  CVE-2015-8345 (bsc#956829):
  qemu: net: eepro100: infinite loop in processing command block list
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0062-eepro100-Prevent-two-endless-loops.patch
* Fri Nov 13 2015 brogers@suse.com
- Due to space restrictions in limited bios data areas, don't create
  mptable if vcpu count is "high" (ie more than ~19). (bsc#954864)
  (No supported guests are negatively impacted by this change, which
  is taken from upstream seabios)
  * Patches added:
  seabios-mptable-Don-t-create-mptable-if-.patch
* Wed Nov  4 2015 brogers@suse.com
- Fix bsc#943446: qemu-img convert doesn't create MB aligned VHDs anymore
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0061-Don-t-change-total_size-when-creati.patch
* Thu Oct 29 2015 afaerber@suse.com
- Build SLOF from source (bsc#949016)
  SLOF_ppc64le.patch
* Thu Oct  8 2015 afaerber@suse.com
- Clean up DictZip and tar block drivers (bsc#945778)
  0028-block-Add-support-for-DictZip-enabl.patch
  0029-block-Add-tar-container-format.patch
  0050-dictzip-Fix-on-big-endian-systems.patch
* Thu Oct  8 2015 brogers@suse.com
- Fix potential hang in emulated e1000 nic (bsc#944697 CVE-2015-6815)
- Fix potential DoS in virtio-net (bsc#947159 CVE-2015-7295)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0057-virtio-introduce-virtqueue_unmap_sg.patch
  0058-virtio-introduce-virtqueue_discard.patch
  0059-virtio-net-correctly-drop-truncated.patch
  0060-e1000-Avoid-infinite-loop-in-proces.patch
* Fri Oct  2 2015 afaerber@suse.com
- Split off qemu-testsuite package (backport from openSUSE)
* Tue Sep 29 2015 afaerber@suse.com
- List data files explicitly (backport from openSUSE)
  * Move u-boot.e500 from qemu package to qemu-ppc where it belongs
  * Do not package stock firmware files in qemu package on non-x86_64
* Thu Sep 24 2015 brogers@suse.com
- Fix pxe boot for pre v1.5 machine types (bsc#946020)
  * Patches added:
  ipxe-zbin-Remove-now-unused-unnrv2b.S-de.patch
  ipxe-zbin-Fix-check-for-existence-of-mos.patch
* Fri Sep 18 2015 brogers@suse.com
- Fix vulnerability in ide emulation - potential divide-by-zero.
  (CVE-2015-6855 bsc#945404)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0056-ide-fix-ATAPI-command-permissions.patch
* Thu Sep 17 2015 brogers@suse.com
- Fix vulnerabilities in ne2000 nic emulation.
  (CVE-2015-5278 bsc#945989)
  (CVE-2015-5279 bsc#945987)
- Fix other error in code related to bsc#936537
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0053-qcow2-Make-qcow2_alloc_bytes-more-e.patch
  0054-net-avoid-infinite-loop-when-receiv.patch
  0055-net-add-checks-to-validate-ring-buf.patch
* Fri Sep 11 2015 brogers@suse.com
- Fix possible qemu-img error when converting to compressed qcow2
  image (bsc#936537)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0052-qcow2-Handle-EAGAIN-returned-from-u.patch
* Fri Sep 11 2015 afaerber@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Fix CVE-2015-5225 (bsc#942845):
  0051-vnc-fix-memory-corruption-CVE-2015-.patch
* Wed Aug 12 2015 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * This is stable release update from v2.3.0 to v2.3.1
  cf. http://wiki.qemu-project.org/ChangeLog/2.3 (fate#314497)
  * Patches dropped:
  0046-fdc-force-the-fifo-access-to-be-in-.patch
  0050-qcow2-Set-MIN_L2_CACHE_SIZE-to-2.patch
  0053-ide-Check-array-bounds-before-writi.patch
  0054-ide-atapi-Fix-START-STOP-UNIT-comma.patch
  0055-ide-Clear-DRQ-after-handling-all-ex.patch
  * Patches renamed:
  0047-configure-reduce-libseccomp-version.patch
  - > 0046-configure-reduce-libseccomp-version.patch
  0048-pcnet-force-the-buffer-access-to-be.patch
  - > 0047-pcnet-force-the-buffer-access-to-be.patch
  0049-linux-user-Allocate-thunk-size-dyna.patch
  - > 0048-linux-user-Allocate-thunk-size-dyna.patch
  0051-slirp-use-less-predictable-director.patch
  - > 0049-slirp-use-less-predictable-director.patch
  0052-dictzip-Fix-on-big-endian-systems.patch
  - > 0050-dictzip-Fix-on-big-endian-systems.patch
* Thu Jul 16 2015 brogers@suse.com
- Fix potential heap overflow in IDE subsystem when certain ATAPI
  commands are processed. (CVE-2015-5154 bsc#938344)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0053-ide-Check-array-bounds-before-writi.patch
  0054-ide-atapi-Fix-START-STOP-UNIT-comma.patch
  0055-ide-Clear-DRQ-after-handling-all-ex.patch
* Wed Jul  8 2015 brogers@suse.com
- Enable RDMA migration (fate#317015)
- Fix dictzip on big endian systems (bsc#937572)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0052-dictzip-Fix-on-big-endian-systems.patch
* Mon Jun  8 2015 brogers@suse.com
- Fix vgabios incompatibility with X's x86emu emulator (bsc#933981)
  * Patches added: vgabios-Add-config-option-for-assembler-.patch
* Fri Jun  5 2015 brogers@suse.com
- Avoid predictable directory name for smb config (bsc#932267
  CVE-2015-4037)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0051-slirp-use-less-predictable-director.patch
* Tue Jun  2 2015 brogers@suse.com
- Fix abort encountered in qcow2 snapshot code. (bsc933132)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0050-qcow2-Set-MIN_L2_CACHE_SIZE-to-2.patch
* Tue Jun  2 2015 brogers@suse.com
- Fix qemu-linux-user on powerpc
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0049-linux-user-Allocate-thunk-size-dyna.patch
* Tue Jun  2 2015 brogers@suse.com
- Fix buffer overflow in pcnet emulation (bsc#932770 CVE-2015-3209)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0048-pcnet-force-the-buffer-access-to-be.patch
* Tue Jun  2 2015 brogers@suse.com
- Update to v2.3.0: cf. http://wiki.qemu-project.org/ChangeLog/2.3
  (fate#314497)
  * qemu-seabios and qemu-vgabios change version to 1.8.1
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches dropped:
  0037-xen_disk-add-discard-support.patch
  0046-qemu-img-add-nocow-option.patch
  0047-tests-Don-t-run-qom-test-twice.patch
  0048-qtest-Assure-that-init_socket-s-lis.patch
  0049-qtest-Add-error-reporting-to-socket.patch
  0050-qtest-Be-paranoid-about-accept-addr.patch
  0051-seccomp-add-timerfd_create-and-time.patch
  0052-seccomp-add-shmctl-mlock-and-munloc.patch
  0053-gtk-Add-handling-for-the-xfree86-ke.patch
  0055-tcg-ppc64-Support-the-ELFv2-ABI.patch
  0056-target-i386-Preserve-the-Z-bit-for-.patch
  0057-vmstate-s-VMSTATE_INT32_LE-VMSTATE_.patch
  0058-savevm-Ignore-minimum_version_id_ol.patch
  0059-qemu-img-Convert-by-cluster-size-if.patch
  0060-vmdk-Implement-.bdrv_write_compress.patch
  0061-vmdk-Implement-.bdrv_get_info.patch
  0062-module-Simplify-module_load.patch
  0063-module-Don-t-complain-when-a-module.patch
  0064-spapr_nvram-Correct-max-nvram-size.patch
  0065-target-ppc-extract-register-length-.patch
  0066-target-ppc-gdbstub-allow-byte-swapp.patch
  0067-spapr_pci-fix-MSI-limit.patch
  0068-spapr-Add-support-for-time-base-off.patch
  0069-spapr-Add-ibm-chip-id-property-in-d.patch
  0070-target-ppc-Support-dump-for-little-.patch
  0071-target-ppc-Introduce-callback-for-i.patch
  0072-target-ppc-Set-the-correct-endianne.patch
  0073-target-ppc-Add-compat-CPU-option.patch
  0074-spapr-Move-SMT-related-properties-o.patch
  0075-target-ppc-Implement-compat-CPU-opt.patch
  0076-target-ppc-Define-Processor-Compati.patch
  0077-spapr-Add-ibm-client-architecture-s.patch
  0078-spapr-Rework-spapr_fixup_cpu_dt.patch
  0079-spapr-Limit-threads-per-core-accord.patch
  0080-spapr-Implement-processor-compatibi.patch
  0081-KVM-PPC-Enable-compatibility-mode.patch
  0082-kvm-make-one_reg-helpers-available-.patch
  0083-dump-Drop-pointless-error_is_set-Du.patch
  0084-dump-fill-in-the-flat-header-signat.patch
  0085-dump-simplify-write_start_flat_head.patch
  0086-dump-eliminate-DumpState.page_shift.patch
  0087-dump-eliminate-DumpState.page_size-.patch
  0088-dump-select-header-bitness-based-on.patch
  0089-dump-hoist-lzo_init-from-get_len_bu.patch
  0090-dump-simplify-get_len_buf_out.patch
  0091-dump-Make-DumpState-and-endian-conv.patch
  0092-linux-headers-update-linux-headers-.patch
  0093-target-ppc-Create-versionless-CPU-c.patch
  0094-target-ppc-Move-alias-lookup-after-.patch
  0095-target-ppc-Remove-redundant-POWER7-.patch
  0096-KVM-PPC-Expose-fixup-hcall-capabili.patch
  0097-PPC-spapr-Expose-hypervisor-node-in.patch
  0098-spapr_hcall-Split-h_set_mode.patch
  0099-spapr_hcall-Add-address-translation.patch
  0100-PPC-KVM-Make-pv-hcall-endian-agnost.patch
  0101-spapr_pci-Advertise-MSI-quota.patch
  0102-spapr-Add-qemu-boot-menu-property-t.patch
  0103-target-ppc-Add-support-for-POWER8-p.patch
  0104-spapr-Add-rtas_st_buffer-utility-fu.patch
  0105-spapr-Fix-RTAS-sysparm-DIAGNOSTICS_.patch
  0106-spapr-Add-RTAS-sysparm-UUID.patch
  0107-spapr-Add-RTAS-sysparm-SPLPAR-Chara.patch
  0108-virtio-introduce-device-specific-mi.patch
  0109-virtio-net-implement-per-device-mig.patch
  0110-virtio-blk-implement-per-device-mig.patch
  0111-virtio-serial-implement-per-device-.patch
  0112-virtio-balloon-implement-per-device.patch
  0113-virtio-rng-implement-per-device-mig.patch
  0114-virtio-add-subsections-to-the-migra.patch
  0115-exec-introduce-target_words_bigendi.patch
  0116-cpu-introduce-CPUClass-virtio_is_bi.patch
  0117-virtio-add-endian-ambivalent-suppor.patch
  0118-virtio-memory-accessors-for-endian-.patch
  0119-virtio-allow-byte-swapping-for-vrin.patch
  0120-virtio-net-use-virtio-wrappers-to-a.patch
  0121-virtio-balloon-use-virtio-wrappers-.patch
  0122-virtio-blk-use-virtio-wrappers-to-a.patch
  0123-virtio-scsi-use-virtio-wrappers-to-.patch
  0124-virtio-serial-bus-use-virtio-wrappe.patch
  0125-virtio-9p-use-virtio-wrappers-to-ac.patch
  0126-target-ppc-enable-virtio-endian-amb.patch
  0127-target-ppc-KVMPPC_H_CAS-fix-cpu-ver.patch
  0128-target-ppc-Add-pvr_match-callback.patch
  0129-target-ppc-Remove-POWER7-and-POWER8.patch
  0130-qemu-VGA-endian-swap-low-level-draw.patch
  0131-pc-bios-s390-ccw-virtio_load_direct.patch
  0132-pc-bios-s390-ccw-do-a-subsystem-res.patch
  0133-pc-bios-s390-ccw-fix-for-fragmented.patch
  0134-pc-bios-s390-ccw-make-checkpatch-ha.patch
  0135-pc-bios-s390-ccw-cleanup-and-enhanc.patch
  0136-pc-bios-s390-ccw-handle-different-s.patch
  0137-pc-bios-s390-ccw-store-proper-subsy.patch
  0138-target-i386-kvm-Don-t-enable-MONITO.patch
  0139-ivshmem-check-the-value-returned-by.patch
  0140-usb-fix-up-post-load-checks.patch
  0141-slirp-udp-fix-NULL-pointer-derefere.patch
  0142-cirrus-fix-blit-region-check.patch
  0143-cirrus-don-t-overflow-CirrusVGAStat.patch
  0144-block-raw-posix-Try-both-FIEMAP-and.patch
  0145-block-raw-posix-Fix-disk-corruption.patch
  0146-block-raw-posix-use-seek_hole-ahead.patch
  0147-migration-fix-parameter-validation-.patch
  0148-exec-add-wrapper-for-host-pointer-a.patch
  0149-cpu-assert-host-pointer-offset-with.patch
  0150-cpu-verify-that-block-host-is-set.patch
  0151-hw-input-hid.c-Fix-capslock-hid-cod.patch
  0152-CVE-2015-1779-incrementally-decode-.patch
  0153-CVE-2015-1779-limit-size-of-HTTP-he.patch
  0154-vpc-Ignore-geometry-for-large-image.patch
  0155-block-vpc-make-calculate_geometry-s.patch
  0156-block-vpc-rename-footer-size-footer.patch
  0157-block-vpc-remove-disabled-code-from.patch
  * Patches renamed:
  0038-Raise-soft-address-space-limit-to-h.patch
  - > 0037-Raise-soft-address-space-limit-to-h.patch
  0039-increase-x86_64-physical-bits-to-42.patch
  - > 0038-increase-x86_64-physical-bits-to-42.patch
  0040-vnc-provide-fake-color-map.patch
  - > 0039-vnc-provide-fake-color-map.patch
  0041-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  - > 0040-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0042-i8254-Fix-migration-from-SLE11-SP2.patch
  - > 0041-i8254-Fix-migration-from-SLE11-SP2.patch
  0043-acpi_piix4-Fix-migration-from-SLE11.patch
  - > 0042-acpi_piix4-Fix-migration-from-SLE11.patch
  0044-s390-Remove-legacy-s390-virtio-mach.patch
  - > 0043-s390-Remove-legacy-s390-virtio-mach.patch
  0045-s390-Default-virtio-blk-to-ccw.patch
  - > 0044-s390-Default-virtio-blk-to-ccw.patch
  0054-qtest-Increase-socket-timeout-to-ac.patch
  - > 0045-qtest-Increase-socket-timeout-to-ac.patch
  0158-fdc-force-the-fifo-access-to-be-in-.patch
  - > 0046-fdc-force-the-fifo-access-to-be-in-.patch
  * Patches added:
  0047-configure-reduce-libseccomp-version.patch
- Other Patches dropped:
  ipxe-build-Work-around-bug-in-gcc-4.8.patch
  ipxe-zbin-Fix-size-used-for-memset-in-al.patch
  ipxe-build-Avoid-strict-aliasing-warning.patch
  vgabios-Make-sure-stdvga_list_modes-doesn-t-overrun-.patch
- Other Patches added:
  seabios_128kb.patch
  seabios_checkrom_typo.patch
  seabios_avoid_smbios_signature_string.patch
  ipxe-prefix-Use-.bss16-as-temporary-stac.patch
  ipxe-zbin-Perform-extra-normalisation-af.patch
  ipxe-zbin-Use-LZMA-compression.patch
* Thu May 14 2015 brogers@suse.com
- In place of a very fragile fix, use upstream patch for issue in
  bnc#893892
  * Patches dropped:
  vgabios-work-around-network-install-failure.patch
  * Patches added:
  vgabios-Emulate-leal-instruction.patch
* Tue May 12 2015 afaerber@suse.com
- Fix CVE-2015-3456 (bsc#929339)
  0158-fdc-force-the-fifo-access-to-be-in-.patch
  * Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12
* Tue Apr 28 2015 cyliu@suse.com
- qemu truncates vhd images in virt-rescue (bsc#886378)
  * Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0154-vpc-Ignore-geometry-for-large-image.patch
  0155-block-vpc-make-calculate_geometry-s.patch
  0156-block-vpc-rename-footer-size-footer.patch
  0157-block-vpc-remove-disabled-code-from.patch
* Mon Apr 27 2015 afaerber@suse.com
- Fix CVE-2015-1779 (bsc#924018)
  * Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12
  0152-CVE-2015-1779-incrementally-decode-.patch
  0153-CVE-2015-1779-limit-size-of-HTTP-he.patch
* Thu Apr 23 2015 brogers@suse.com
- Streamline update_git.sh workflow and update server used
* Mon Feb 23 2015 brogers@suse.com
- Update kvm-supported.txt with the current rbd support status.
* Sat Feb 14 2015 brogers@suse.com
- enable rbd build on x86_64 (qemu-block-rbd package) (FATE#318349)
* Wed Feb  4 2015 afaerber@suse.com
- Fix USB HID key code (bnc#914521)
  0151-hw-input-hid.c-Fix-capslock-hid-cod.patch
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
* Thu Jan  8 2015 afaerber@suse.com
- Bump copyright in qemu.spec.in
* Wed Jan  7 2015 agraf@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Fix CVE-2014-7840 for migration (bnc#905097)
  0147-migration-fix-parameter-validation-.patch
  0148-exec-add-wrapper-for-host-pointer-a.patch
  0149-cpu-assert-host-pointer-offset-with.patch
  0150-cpu-verify-that-block-host-is-set.patch
* Fri Dec  5 2014 brogers@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  Fix potential image corruption due to missing FIEMAP_FLAG_SYNC
  flag in FS_IOC_FIEMAP ioctl. (bnc#908380)
  * Patches added:
  0144-block-raw-posix-Try-both-FIEMAP-and.patch
  0145-block-raw-posix-Fix-disk-corruption.patch
  0146-block-raw-posix-use-seek_hole-ahead.patch
* Fri Dec  5 2014 afaerber@suse.com
- Fix CVE-2014-8106 for Cirrus graphics (bnc#907805)
  0142-cirrus-fix-blit-region-check.patch
  0143-cirrus-don-t-overflow-CirrusVGAStat.patch
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
* Mon Dec  1 2014 brogers@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * This is stable release update from v2.0.0 to v2.0.2 (bnc#897654)
  * Patches dropped:
  0056-s390x-kvm-rework-KVM-synchronize-to.patch
  0057-block-Prevent-coroutine-stack-overf.patch
  0058-qdev-Fix-crash-by-validating-the-ob.patch
  0059-acpi-fix-tables-for-no-hpet-configu.patch
  0060-Revert-qapi-Clean-up-superfluous-nu.patch
  0062-pci-assign-limit-of-msix-vectors.patch
  0063-target-i386-fix-set-of-registers-ze.patch
  0064-vmstate-add-VMS_MUST_EXIST.patch
  0065-vmstate-add-VMSTATE_VALIDATE.patch
  0066-virtio-net-fix-buffer-overflow-on-i.patch
  0067-virtio-net-out-of-bounds-buffer-wri.patch
  0068-virtio-out-of-bounds-buffer-write-o.patch
  0069-ahci-fix-buffer-overrun-on-invalid-.patch
  0070-hpet-fix-buffer-overrun-on-invalid-.patch
  0071-hw-pci-pcie_aer.c-fix-buffer-overru.patch
  0072-pl022-fix-buffer-overun-on-invalid-.patch
  0073-vmstate-fix-buffer-overflow-in-targ.patch
  0074-virtio-avoid-buffer-overrun-on-inco.patch
  0075-virtio-validate-num_sg-when-mapping.patch
  0076-pxa2xx-avoid-buffer-overrun-on-inco.patch
  0077-ssd0323-fix-buffer-overun-on-invali.patch
  0078-tsc210x-fix-buffer-overrun-on-inval.patch
  0079-zaurus-fix-buffer-overrun-on-invali.patch
  0080-virtio-scsi-fix-buffer-overrun-on-i.patch
  0082-usb-sanity-check-setup_index-setup_.patch
  0084-ssi-sd-fix-buffer-overrun-on-invali.patch
  0085-openpic-avoid-buffer-overrun-on-inc.patch
  0086-virtio-net-out-of-bounds-buffer-wri.patch
  0087-virtio-validate-config_len-on-load.patch
  0088-virtio-allow-mapping-up-to-max-queu.patch
  0097-spapr_pci-Fix-number-of-returned-ve.patch
  0139-virtio-net-byteswap-virtio-net-head.patch
  0140-virtio-serial-don-t-migrate-the-con.patch
  0172-qcow1-Check-maximum-cluster-size.patch
  0173-qcow1-Validate-L2-table-size-CVE-20.patch
  0175-qcow1-Validate-image-size-CVE-2014-.patch
* Wed Sep 24 2014 afaerber@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Fix CVE-2014-3640 (bnc#897654):
  0177-slirp-udp-fix-NULL-pointer-derefere.patch
* Thu Sep 18 2014 afaerber@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
- Backported ivshmem error check (fate#314468)
  0174-ivshmem-check-the-value-returned-by.patch
- Fixed CVE-2014-0223 (bnc#877645)
  0175-qcow1-Validate-image-size-CVE-2014-.patch
- Fixed CVE-2014-3461 (bnc#878541)
  0176-usb-fix-up-post-load-checks.patch
* Tue Sep 16 2014 brogers@suse.com
- Tweaked the fix for bnc#893892 to not negatively impact the use
  of the cirrus emulated video card. (bnc#896726)
* Thu Sep 11 2014 brogers@suse.com
- Add a few more refinements to kvm-supported.txt
* Mon Sep  8 2014 afaerber@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Resolve CVE-2014-0222 (bnc#877642):
  0172-qcow1-Check-maximum-cluster-size.patch
  0173-qcow1-Validate-L2-table-size-CVE-20.patch
* Fri Sep  5 2014 brogers@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  Fixes issue with monitor cpu feature being exposed to guest, but KVM
  does not support the monitor instruction. (bnc#895369)
  * Patches added:
  0171-target-i386-kvm-Don-t-enable-MONITO.patch
* Thu Sep  4 2014 brogers@suse.com
- Update kvm-supported.txt to have latest SLES 12 support info, and
  not duplicate information that is provided through other official
  SUSE channels.
- Work around a presumed X.org x86emu failure when doing a network
  install for SLES 10 or SLES 11. (bnc#893892)
- added patches:
  * vgabios-work-around-network-install-failure.patch
* Thu Aug 28 2014 afaerber@suse.com
- Copy the freshly built s390-ccw.img over to the location
  from which it is installed (bnc#893535)
  This was leading to previous patch backports not taking effect.
- Let qemu-tools obsolete virt-utils package (bnc#893339)
* Thu Jul 24 2014 afaerber@suse.com
- Updated patches after upstreaming (bnc#882008):
  0092-module-Simplify-module_load.patch
  0093-module-Don-t-complain-when-a-module.patch
- Backported more s390x ccw boot/reset fixes (cf. bnc#812983):
  0164-pc-bios-s390-ccw-virtio_load_direct.patch
  0165-pc-bios-s390-ccw-do-a-subsystem-res.patch
  0166-pc-bios-s390-ccw-fix-for-fragmented.patch
  0167-pc-bios-s390-ccw-make-checkpatch-ha.patch
  0168-pc-bios-s390-ccw-cleanup-and-enhanc.patch
  0169-pc-bios-s390-ccw-handle-different-s.patch
  0170-pc-bios-s390-ccw-store-proper-subsy.patch
- Backported update_git.sh script extension from OBS:
  autogenerate .changes entries mentioning added/deleted patches
* Mon Jul  7 2014 agraf@suse.com
- Add support for ppc64le KVM, including virtio
  and CAS support (fate#317763)
- added patches:
  * 0094-spapr_nvram-Correct-max-nvram-size.patch
  * 0095-target-ppc-extract-register-length-.patch
  * 0096-target-ppc-gdbstub-allow-byte-swapp.patch
  * 0097-spapr_pci-Fix-number-of-returned-ve.patch
  * 0098-spapr_pci-fix-MSI-limit.patch
  * 0099-spapr-Add-support-for-time-base-off.patch
  * 0100-spapr-Add-ibm-chip-id-property-in-d.patch
  * 0101-target-ppc-Support-dump-for-little-.patch
  * 0102-target-ppc-Introduce-callback-for-i.patch
  * 0103-target-ppc-Set-the-correct-endianne.patch
  * 0104-target-ppc-Add-compat-CPU-option.patch
  * 0105-spapr-Move-SMT-related-properties-o.patch
  * 0106-target-ppc-Implement-compat-CPU-opt.patch
  * 0107-target-ppc-Define-Processor-Compati.patch
  * 0108-spapr-Add-ibm-client-architecture-s.patch
  * 0109-spapr-Rework-spapr_fixup_cpu_dt.patch
  * 0110-spapr-Limit-threads-per-core-accord.patch
  * 0111-spapr-Implement-processor-compatibi.patch
  * 0112-KVM-PPC-Enable-compatibility-mode.patch
  * 0113-kvm-make-one_reg-helpers-available-.patch
  * 0114-dump-Drop-pointless-error_is_set-Du.patch
  * 0115-dump-fill-in-the-flat-header-signat.patch
  * 0116-dump-simplify-write_start_flat_head.patch
  * 0117-dump-eliminate-DumpState.page_shift.patch
  * 0118-dump-eliminate-DumpState.page_size-.patch
  * 0119-dump-select-header-bitness-based-on.patch
  * 0120-dump-hoist-lzo_init-from-get_len_bu.patch
  * 0121-dump-simplify-get_len_buf_out.patch
  * 0122-dump-Make-DumpState-and-endian-conv.patch
  * 0123-linux-headers-update-linux-headers-.patch
  * 0124-target-ppc-Create-versionless-CPU-c.patch
  * 0125-target-ppc-Move-alias-lookup-after-.patch
  * 0126-target-ppc-Remove-redundant-POWER7-.patch
  * 0127-KVM-PPC-Expose-fixup-hcall-capabili.patch
  * 0128-PPC-spapr-Expose-hypervisor-node-in.patch
  * 0129-spapr_hcall-Split-h_set_mode.patch
  * 0130-spapr_hcall-Add-address-translation.patch
  * 0131-PPC-KVM-Make-pv-hcall-endian-agnost.patch
  * 0132-spapr_pci-Advertise-MSI-quota.patch
  * 0133-spapr-Add-qemu-boot-menu-property-t.patch
  * 0134-target-ppc-Add-support-for-POWER8-p.patch
  * 0135-spapr-Add-rtas_st_buffer-utility-fu.patch
  * 0136-spapr-Fix-RTAS-sysparm-DIAGNOSTICS_.patch
  * 0137-spapr-Add-RTAS-sysparm-UUID.patch
  * 0138-spapr-Add-RTAS-sysparm-SPLPAR-Chara.patch
  * 0139-virtio-net-byteswap-virtio-net-head.patch
  * 0140-virtio-serial-don-t-migrate-the-con.patch
  * 0141-virtio-introduce-device-specific-mi.patch
  * 0142-virtio-net-implement-per-device-mig.patch
  * 0143-virtio-blk-implement-per-device-mig.patch
  * 0144-virtio-serial-implement-per-device-.patch
  * 0145-virtio-balloon-implement-per-device.patch
  * 0146-virtio-rng-implement-per-device-mig.patch
  * 0147-virtio-add-subsections-to-the-migra.patch
  * 0148-exec-introduce-target_words_bigendi.patch
  * 0149-cpu-introduce-CPUClass-virtio_is_bi.patch
  * 0150-virtio-add-endian-ambivalent-suppor.patch
  * 0151-virtio-memory-accessors-for-endian-.patch
  * 0152-virtio-allow-byte-swapping-for-vrin.patch
  * 0153-virtio-net-use-virtio-wrappers-to-a.patch
  * 0154-virtio-balloon-use-virtio-wrappers-.patch
  * 0155-virtio-blk-use-virtio-wrappers-to-a.patch
  * 0156-virtio-scsi-use-virtio-wrappers-to-.patch
  * 0157-virtio-serial-bus-use-virtio-wrappe.patch
  * 0158-virtio-9p-use-virtio-wrappers-to-ac.patch
  * 0159-target-ppc-enable-virtio-endian-amb.patch
  * 0160-target-ppc-KVMPPC_H_CAS-fix-cpu-ver.patch
  * 0161-target-ppc-Add-pvr_match-callback.patch
  * 0162-target-ppc-Remove-POWER7-and-POWER8.patch
  * 0163-qemu-VGA-endian-swap-low-level-draw.patch
* Thu Jul  3 2014 brogers@suse.com
- Avoid the reported error message about missing modules
  0092-module-Simplify-module_load.patch
  0093-module-Don-t-complain-when-a-module.patch
* Wed Jul  2 2014 brogers@suse.com
- Move block-curl.so to new qemu-block-curl package, avoiding a
  dependency of qemu-tools on qemu for Xen (bnc#882008)
* Mon Jun 30 2014 brogers@suse.com
- Backport patches in support of compressed, stream optimized vmdk
  format (fate#317741)
  0089-qemu-img-Convert-by-cluster-size-if.patch
  0090-vmdk-Implement-.bdrv_write_compress.patch
  0091-vmdk-Implement-.bdrv_get_info.patch
* Wed Jun 18 2014 brogers@suse.com
- Fix /dev/kvm permissions problem with package install and no
  reboot (bnc#867867)
- Improve sample bridge script
* Thu Jun 12 2014 brogers@suse.com
- Add code to validate pxe rom sizing for migration compatiblility
- python-curses only needed in support of kvm_stat
* Wed Jun 11 2014 afaerber@suse.com
- Reorder qemu-tools and qemu-guest-agent before the BIOSes
  This is needed to use QEMU's %%version - backport from Factory
* Sun Jun  1 2014 brogers@suse.com
- Only build the x86 firmware on x86, ensuring consistent binaries
- remove un-needed pmtools BuildRequires
* Fri May 30 2014 brogers@suse.com
- Fix vga related problem doing direct kernel boot for SLES 10 and
  SLES 11 guests (bnc#880625)
  vgabios-Make-sure-stdvga_list_modes-doesn-t-overrun-.patch
* Sun May 25 2014 brogers@suse.com
- Tighten up specfile syntax and eliminate unneeded elements
* Sat May 24 2014 afaerber@suse.com
- Probe vhost-net module on SLE11 (copied from SP3 package)
* Wed May 21 2014 brogers@suse.com
- On s390, install kvm.conf to usr/lib/modules-load.d to cause the
  kvm kernel module to be loaded whenever the qemu package is
  installed, and set /dev/kvm permissions and group owner in post
  script (bnc#869026, bnc#875582)
- Get kvm_stat from qemu sources instead of using a static copy
* Mon May 19 2014 afaerber@suse.com
- Fix CVE-2013-4148 (bnc#864812)
  0066-virtio-net-fix-buffer-overflow-on-i.patch
- Fix CVE-2013-4149 (bnc#864649)
  0086-virtio-net-out-of-bounds-buffer-wri.patch
- Fix CVE-2013-4150 (bnc#864650)
  0067-virtio-net-out-of-bounds-buffer-wri.patch
- Fix CVE-2013-4151 (bnc#864653)
  0068-virtio-out-of-bounds-buffer-write-o.patch
- Fix CVE-2013-4526 (bnc#864671)
  0069-ahci-fix-buffer-overrun-on-invalid-.patch
- Fix CVE-2013-4527 (bnc#864673)
  0070-hpet-fix-buffer-overrun-on-invalid-.patch
- Fix CVE-2013-4529 (bnc#864678)
  0071-hw-pci-pcie_aer.c-fix-buffer-overru.patch
- Fix CVE-2013-4530 (bnc#864682)
  0072-pl022-fix-buffer-overun-on-invalid-.patch
- Fix CVE-2013-4531 (bnc#864796)
  0073-vmstate-fix-buffer-overflow-in-targ.patch
- Fix CVE-2013-4533 (bnc#864655)
  0076-pxa2xx-avoid-buffer-overrun-on-inco.patch
- Fix CVE-2013-4534 (bnc#864811)
  0085-openpic-avoid-buffer-overrun-on-inc.patch
- Fix CVE-2013-4535 / CVE-2013-4536 (bnc#864665)
  0075-virtio-validate-num_sg-when-mapping.patch
- Fix CVE-2013-4537 (bnc#864391)
  0084-ssi-sd-fix-buffer-overrun-on-invali.patch
- Fix CVE-2013-4538 (bnc#864769)
  0077-ssd0323-fix-buffer-overun-on-invali.patch
- Fix CVE-2013-4539 (bnc#864805)
  0078-tsc210x-fix-buffer-overrun-on-inval.patch
- Fix CVE-2013-4540 (bnc#864801)
  0079-zaurus-fix-buffer-overrun-on-invali.patch
- Fix CVE-2013-4541 (bnc#864802)
  0082-usb-sanity-check-setup_index-setup_.patch
- Fix CVE-2013-4542 (bnc#864804)
  0080-virtio-scsi-fix-buffer-overrun-on-i.patch
- Fix CVE-2013-6399 (bnc#864814)
  0074-virtio-avoid-buffer-overrun-on-inco.patch
- Fix CVE-2014-0182 (bnc#874788)
  0087-virtio-validate-config_len-on-load.patch
- Backported patch from stable branch (brogers):
  0088-virtio-allow-mapping-up-to-max-queu.patch
* Sat May 17 2014 brogers@suse.com
-  Backported patches from stable branch:
  0056-s390x-kvm-rework-KVM-synchronize-to.patch
  0057-block-Prevent-coroutine-stack-overf.patch
  0058-qdev-Fix-crash-by-validating-the-ob.patch
  0059-acpi-fix-tables-for-no-hpet-configu.patch
  0060-Revert-qapi-Clean-up-superfluous-nu.patch
  0061-target-i386-Preserve-the-Z-bit-for-.patch
  0062-pci-assign-limit-of-msix-vectors.patch
  0063-target-i386-fix-set-of-registers-ze.patch
* Tue May 13 2014 brogers@suse.com
- ABI fixes for ppc64le TCG
  0055-tcg-ppc64-Support-the-ELFv2-ABI.patch
- Widen archs and versions packages can be build for
- Split 60-kvm.rules into 60-kvm.rules and 60-kvm.x86.rules
- misc spec file streamlining
* Thu May  8 2014 brogers@suse.com
- Add --disable-stack-protector configure option, which removes the
  - fstack-protector-all option leaving just the optflags provided
  - fstack-protector option for building QEMU.
* Wed May  7 2014 brogers@suse.com
- Fix misspelled tag in qemu-ga.service file
* Thu May  1 2014 brogers@suse.com
- qemu-guest-agent: add udev rule and systemd service (bnc#875870)
- Increase socket timeout for qtest to avoid make check issues
- Add ExcludeArch: s390 to spec file, as we don't support that arch
- Backport some additional seccomp whitelist patches
- Move qemu-ifup script to qemu package
- Make clear in kvm-supported.txt that emulated scsi is supported
- Fix gtk interface when used from SLE11 (bnc#874413)
  0051-seccomp-add-timerfd_create-and-time.patch
  0052-seccomp-add-shmctl-mlock-and-munloc.patch
  0053-gtk-Add-handling-for-the-xfree86-ke.patch
  0054-qtest-Increase-socket-timeout-to-ac.patch
* Thu Apr 17 2014 afaerber@suse.com
- Attempt to debug or solve occasional qtest fd assertions
  0048-qtest-Assure-that-init_socket-s-lis.patch
  0049-qtest-Add-error-reporting-to-socket.patch
  0050-qtest-Be-paranoid-about-accept-addr.patch
* Thu Apr 17 2014 afaerber@suse.com
- Update to v2.0.0: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
* Wed Apr 16 2014 brogers@suse.com
- Do /dev/kvm permission and ownership tweaks on s390x (bnc#869026)
- Get SeaBIOS version from QEMU tarball
* Mon Apr 14 2014 afaerber@suse.com
- Update to v2.0.0-rc3: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
  * Addresses CVE-2014-0150 (bnc#873235), CVE-2013-4544 (bnc#873613)
* Mon Apr 14 2014 brogers@suse.com
- Update to v2.0.0-rc2: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
  * Resolves Gtk mouse issues (bnc#849587)
  * Drop 0047-tests-Disable-endianness-test-for-p.patch
* Thu Apr 10 2014 afaerber@suse.com
- Workaround for prep endianness-test breakage on Big Endian s390x
  0047-tests-Disable-endianness-test-for-p.patch
- Avoid running qom-test twice for some targets
  0048-tests-Don-t-run-qom-test-twice.patch
- Fix update_git.sh script
  * Do not rely on -C option that's unavailable on 13.1
  * Make temporary directories more unique
* Fri Apr  4 2014 brogers@suse.com
- Updated to v2.0.0-rc1: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
  * Includes fixes for bnc#869746 and bnc#871302
  * Addresses CVE-2014-0142, CVE-2014-0143, CVE-2014-0144,
  CVE-2014-0145, CVE-2014-0146, CVE-2014-0147 (bnc#870439)
- Further tweaks to update_git.sh
* Tue Apr  1 2014 afaerber@suse.com
- 0037-roms-Build-vgabios.bin.patch: Drop since no longer needed
* Tue Apr  1 2014 afaerber@suse.com
- Add _constraints to fix ppc64le build in SUSE:SLE-12:GA
  running out of disk space due to addition of debug infos
* Tue Apr  1 2014 afaerber@suse.com
- Fix update_git.sh script to not duplicate .patch in filename
* Mon Mar 31 2014 brogers@suse.com
- Add 0049-qemu-img-add-nocow-option.patch.patch:
  Adds a configurable nocow flag for image files for better btrfs
  compatability and performance (FATE#315125)
* Fri Mar 28 2014 brogers@suse.com
- Add 0048-spice-input-Fix-absolute-mouse-y-co.patch:
  Fixes spice mouse cursor mismatch (bnc#869746)
* Fri Mar 28 2014 afaerber@suse.com
- Disable make check for ppc64le due to acpi-test failure.
  The breakage is caused by TCG emulation not supporting ppc64le
  yet, which shouldn't block testing KVM on ppc64le.
* Wed Mar 26 2014 brogers@suse.com
- Tidy up qemu.spec a bit: white space, line length, use macros
  as appropriate
- Improve update_git.sh to not change files in OBS if the file
  remains unchanged
* Wed Mar 26 2014 afaerber@suse.com
- 0046-s390-Remove-legacy-s390-virtio-mach.patch:
  Fix lack of default machine after update to v2.0.0-rc0
* Mon Mar 24 2014 afaerber@suse.com
- Fix installation location of modules
* Thu Mar 20 2014 afaerber@suse.com
- Enable libvixl-based disassembler support for aarch64
* Tue Mar 18 2014 brogers@suse.com
- Reenable usb-redir configure option, since spice-gtk is built
  assuming it is available.
- Fix wrong executable reference in /usr/bin/qemu-kvm on s390x
  (bnc#869021)
* Mon Mar 17 2014 brogers@suse.com
- Update qemu-vgabios to use seavgabios sources, which is also the
  default vgabios used upstream now. Includes a version change
- Correct the version for qemu-seabios
* Mon Mar 17 2014 afaerber@suse.com
- Extend update_git.sh script to update the QEMU package version
  * Enable it in qemu.spec.in, replaces 2.0.rc0 with 1.7.90
* Mon Mar 17 2014 afaerber@suse.com
- Restore 0046-s390-Remove-legacy-s390-virtio-mach.patch
  * 0046-s390-Default-virtio-blk-to-ccw.patc.patch becomes
  0047-s390-Default-virtio-blk-to-ccw.patc.patch
* Sun Mar 16 2014 brogers@suse.com
- Update to v2.0.0-rc0: See
  http://wiki.qemu-project.org/ChangeLog/2.0
  * Update kvm-supported.txt to match v2.0 features
  * Adapted update_git.sh accordingly
  * Drop 0012-linux-user-Ignore-timer_create-sysc.patch
  * Drop 0040-linux-user-Implement-BLKPG-ioctl.pa.patch
  * Drop 0041-linux-user-sync-syscall-numbers-upt.patch
  * Drop 0050-s390-Remove-legacy-s390-virtio-mach.patch
- Enable modules configure option
- Enable virtio-blk-data-plane configure option
- Disable usb-redir configure option
* Thu Mar  6 2014 brogers@suse.com
- Make qemu-kvm arch specific
* Fri Feb 28 2014 afaerber@suse.com
- Split off sub-packages for KVM architectures
  * On top of Factory, also move target-x86_64.conf to qemu-x86
- Suggest qemu-lang package
- Decouple qemu-kvm package from qemu-lang
- Use --localstatedir=/var for qemu-ga (brogers)
* Tue Feb 18 2014 brogers@suse.com
- Enable tpm config option (FATE#315467)
- Re-enable usb passthrough since recent libusb is now available
* Fri Feb 14 2014 brogers@suse.com
- Enable supported seccomp feature on x86 architecture
- Fix improperly formatted wrapper script (bnc#864094)
* Fri Feb 14 2014 afaerber@suse.com
- Enable make check
  * 0050-s390-Remove-legacy-s390-virtio-mach.patch: Extend to qom-test
  * Drop 0045-Increase-default-RAM-size-to-512-Mi.patch
  It differs from upstream and breaks fw_cfg-test.
* Thu Feb 13 2014 brogers@suse.com
- Use Provides/Obsoletes as means to transition kvm users to the
  qemu-kvm package
* Wed Feb 12 2014 brogers@suse.com
- Migrate kvm package contents to a new qemu-kvm sub-package, and
  move the kvm related udev rules to the qemu package. (The kvm
  package is being retired).
- Update support document to represent 1.7.0 and SLES 12 (not done)
  Add qemu-ifup
  Add qemu-kvm.1.gz
  Add kvm_stat
  Add 60-kvm.rules
  Add 80-kvm.rules
  Add kvm-supported.txt
* Wed Feb 12 2014 afaerber@suse.com
- Added patches forward-ported from SLE11 SP3:
  Add 0043-Raise-soft-address-space-limit-to-h.patch
  Add 0044-increase-x86_64-physical-bits-to-42.patch
  Add 0045-Increase-default-RAM-size-to-512-Mi.patch
  Add 0046-vnc-provide-fake-color-map.patch.patch
  Add 0047-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  Add 0048-i8254-Fix-migration-from-SLE11-SP2..patch
  Add 0049-acpi_piix4-Fix-migration-from-SLE11.patch
  Add 0050-s390-Default-virtio-blk-to-ccw.patc.patch
  Add 0051-s390-Remove-legacy-s390-virtio-mach.patch
* Thu Feb  6 2014 afaerber@suse.com
- Update update_git.sh and qemu.spec.in to point to SUSE rather
  than openSUSE Git repository
* Mon Feb  3 2014 afaerber@suse.de
- Implement discard support for xen_disk (olh) (fate#316071)
  0042-xen_disk-add-discard-support.patch.patch
* Fri Jan 24 2014 afaerber@suse.de
- Simplified VMDK SCSI support handling (backport from 13.1/v1.6.2)
  * Increases the number of heads for SCSI from 16 to 255
* Fri Jan 17 2014 afaerber@suse.de
- Bump copyright in qemu.spec.in
- Use vte-devel instead of vte2-devel and force using Gtk3,
  reported by Takashi and Dirk (bnc#840607, bnc#849587).
* Mon Jan 13 2014 coolo@suse.com
- xen dropped support for i586, so don't buildrequire it
* Thu Jan  2 2014 afaerber@suse.de
- Update version number of SeaBIOS, spotted by BdMdesigN
* Fri Dec  6 2013 afaerber@suse.de
- Update to v1.7.0: See http://wiki.qemu-project.org/ChangeLog/1.7
  * Adapted update_git.sh accordingly
  * Dropped --enable-mixemu (no longer available)
  * Added a work around for roms/Makefile issue
  * patch 0038-gdbstub-Fix-gdb_register_coprocesso.patch dropped
* Wed Oct  9 2013 dmueller@suse.com
- use --enable-pie to fix arm build
* Tue Oct  8 2013 afaerber@suse.de
- Undo workaround for sasl - fixed in Factory
* Wed Oct  2 2013 afaerber@suse.de
- Work around Factory sasl breakage by allowing build w/o vnc-sasl
- Move build_and_copy_vgabios_bin.patch to Git patch queue
  * Clearly mark in-.spec patch queue as for roms/ipxe/ only
- Synchronized qemu.spec.in from qemu.spec:
  * Added ipxe-build-Avoid-strict-aliasing-warning.patch
  * Modified SeaBIOS summary
  * Added Conflicts for firmware subpackages
  * Dropped %%dir
- Add patch enabling PIE support for ppc/ppc64 (k0da)
* Fri Sep 13 2013 brogers@suse.com
- Build x86 firmware from tarball source. The firmware components
  produced are equivalent to the upstream provided binary blobs
  currently being used. They are delivered in noarch subpackages as
  follows (addresses bnc#830002):
  * qemu-seabios v1.7.2.2
  * qemu-vgabios v0.6c
  * qemu-sgabios v8 (svn rev 8)
  * qemu-ipxe v1.0.0
- Add following patches to enable x86 firmware to build:
  ipxe-build-Work-around-bug-in-gcc-4.8.patch
  ipxe-zbin-Fix-size-used-for-memset-in-al.patch
  build_and_copy_vgabios_bin.patch
  ipxe-build-Avoid-strict-aliasing-warning.patch
* Mon Aug 26 2013 rob.verduijn@gmail.com
- Enabled usb-redirection
  * Fixes starting VMs in gnome-boxes (bnc#839703)
* Sat Aug 17 2013 afaerber@suse.de
- Enable Xen support to allow testing our QEMU in place of Xen's
  This prepares for consolidating QEMU packaging further.
* Sat Aug 17 2013 afaerber@suse.de
- Fix gdbstub for arm/m68k/ppc guests (from pending upstream pull)
* Fri Aug 16 2013 afaerber@suse.de
- Update to v1.6.0: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
* Tue Aug 13 2013 afaerber@suse.de
- Update to v1.6.0-rc3: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
- Changed back versioning scheme to 1.6.0rcX (saschpe, brogers).
* Fri Aug  9 2013 afaerber@suse.de
- Update to v1.6.0-rc2: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
- Changed version from 1.6.0rcX to 1.5.9X (reported by lnussel)
* Fri Aug  2 2013 afaerber@suse.de
- Update to v1.6.0-rc1: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
* Thu Aug  1 2013 afaerber@suse.de
- Use libfdt build dependency not just for ppc.
  QEMU 1.6 needs it for ppc, arm and microblaze guests and uses a
  bundled copy if one of those targets is built and the system does
  not have a compatible libfdt.
* Tue Jul 30 2013 afaerber@suse.de
- Update to v1.6.0-rc0: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Fixes build against recent dtc (SLE_11_SP2 ppc64 w/ Base:System)
  * Includes Gtk patches for bnc#830459
  * Adapt update_git.sh script accordingly
* Mon Jul 22 2013 brogers@suse.com
- Fix segfault that occurs from using -vga qxl (bnc#830459)
* Tue Jun 18 2013 afaerber@suse.de
- Clarify through spec file comments that the patch queue is
  auto-generated through update_git.sh.
  Please do not submit SRs that bypass our patch handling.
* Sat May 25 2013 afaerber@suse.de
- Really enable pulseaudio and oss support (bnc#737070)
- Amend licenses list with GPL-2.0 (adopted from kvm package)
- Be explicit in enabling features our packaging relies on
- Disable stripping at QEMU level
- Use %%optflags rather than $QEMU_OPT_FLAGS
* Fri May 24 2013 afaerber@suse.de
- Move /emul/ia32-linux to qemu-linux-user
* Fri May 24 2013 afaerber@suse.de
- Drop dependency on bison
  * Reorder BuildRequires alphabetically
- Fix summary of qemu-lang sub-package
- Drop post-build-checks suppression (qemu-linux-user only)
* Fri May 24 2013 afaerber@suse.de
- Enable brlapi as done for kvm package
* Fri May 24 2013 afaerber@suse.de
- Use %%{?_smp_mflags} rather than %%{?jobs:-j%%jobs}
* Thu May 23 2013 afaerber@suse.de
- Extend virtfs typedef workaround to ppc64 for SLE_11_SP2
* Tue May 21 2013 afaerber@suse.de
- Split off qemu-linux-user package into separate .spec file.
  * Simplified %%build and %%install sections
  * Dropped *-static dependencies
* Mon May 20 2013 afaerber@suse.de
- Update to v1.5.0 final: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh accordingly
  * Add BuildRequires for gtk2/3 and vte2 to enable new frontend
  * Place translations into new qemu-lang package
  * Really enable SPICE support from 11.4 in configure, too
* Fri May 17 2013 afaerber@suse.de
- Add BuildRequires for pixman, to avoid using internal version
  that fails to build on ppc
* Thu May 16 2013 afaerber@suse.de
- Update to v1.5.0-rc2: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh accordingly
- Add patch by brogers to fix SLE 11 SP2 build (from kvm package)
* Tue May 14 2013 afaerber@suse.de
- Update to v1.5.0-rc1: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh accordingly
  * TODO file no longer exists, don't try to package it
  * Package qemu-mips64{,el}
* Tue May 14 2013 ohering@suse.de
- Enable spice support starting from 11.4
* Tue May  7 2013 afaerber@suse.de
- Update to v1.5.0-rc0: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh script
  * Audio cards are now all enabled by default
* Wed Apr 24 2013 afaerber@suse.de
- Enable pa and oss audio drivers, as in kvm package (bnc#737070)
- Enable hda audio card, as done in kvm package (bnc#801794)
* Mon Apr 22 2013 dimstar@opensuse.org
- Add explicit alsa-devel BuildRequires: this used to (wrongly) be
  pulled in by libSDL-devel.
* Sun Feb 17 2013 afaerber@suse.de
- Update licenses from new format_spec_file
* Sat Feb 16 2013 afaerber@suse.de
- Update to v1.4.0: See http://wiki.qemu.org/ChangeLog/1.4
  * Adapt update_git.sh accordingly
* Sun Feb 10 2013 afaerber@suse.de
- Update to v1.4.0-rc1: See http://wiki.qemu.org/ChangeLog/1.4
  * Adapt update_git.sh accordingly
- Update update_git.sh to reference github.com/openSUSE/qemu.git
* Thu Dec 13 2012 agraf@suse.com
- linux-user: fix lseek with SEEK_END
* Thu Dec 13 2012 agraf@suse.com
- Cherry pick patches from qemu-kvm into the qemu package:
  - 0033-Add-support-for-DictZip-enabled-gzi.patch
  - 0034-Add-tar-container-format.patch.patch
  - 0035-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  - 0036-Legacy-Patch-kvm-qemu-preXX-report-.patch
  - 0037-console-add-question-mark-escape-op.patch
  - 0038-Make-char-muxer-more-robust-wrt-sma.patch
* Wed Dec  5 2012 afaerber@suse.de
- Revert memory size constraint, the workaround patch got applied
* Wed Dec  5 2012 afaerber@suse.de
- Update to v1.3.0: see http://wiki.qemu.org/ChangeLog/1.3
  * Update update_git.sh script accordingly
* Wed Nov 28 2012 afaerber@suse.de
- Replace -fno-gcse patch with v3
* Tue Nov 27 2012 afaerber@suse.de
- Add patch to workaround GCC PR55489 via -fno-gcse,
  another step to avoid builds failing with out-of-memory
* Tue Nov 27 2012 afaerber@suse.de
- Add _constraints to request adequate memory to succeed building
* Tue Nov 27 2012 afaerber@suse.de
- Update to v1.3.0-rc1: see http://wiki.qemu.org/ChangeLog/1.3
  * Update update_git.sh accordingly
* Tue Nov 20 2012 afaerber@suse.de
- Update to v1.3.0-rc0: see http://wiki.qemu.org/ChangeLog/1.3
  * Update update_git.sh accordingly
  * Disable SPICE for 11.4 since it can no longer be built lacking
  pyparsing
* Wed Oct 10 2012 agraf@suse.com
- use ulong for syscall parameters. fixes lseek with big files
* Wed Oct 10 2012 agraf@suse.com
- Add more block ioctl handlers for kiwi
* Tue Oct  9 2012 afaerber@suse.de
- Sync qemu.spec.in file, please don't forget!
* Fri Sep 14 2012 schwab@linux-m68k.org
- Don't strip binaries
* Thu Sep 13 2012 idonmez@suse.com
- Add explicit dependency on makeinfo for manpage/doc generation
* Fri Sep  7 2012 vuntz@suse.com
- Add libcap-devel BuildRequires since it's needed to enable VirtFS
  support.
- Add libcap-ng-devel BuildRequires to be able to drop privileges
  in qemu-bridge-helper.
- Add libjpeg-devel and libpng-devel BuildRequires to enable VNC
  jpeg and png support.
- Pass --enable-virtfs to configure to detect changes that will
  cause VirtFS support to not be built.
* Wed Sep  5 2012 afaerber@suse.de
- update to v1.2.0: see http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
  * this includes the fix for CVE-2012-3515
* Wed Sep  5 2012 afaerber@suse.de
- add bounds checks in console VT100 emulation (bnc#777084,
  CVE-2012-3515)
* Wed Sep  5 2012 afaerber@suse.de
- update to v1.2.0-rc3: http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
- add two patches from kvm for SUSE Studio, forwarded by Dinar:
  * add -nooutgoing option for slirp networking
  * add allowed-connections= and password-file= options for VNC
* Tue Aug 28 2012 afaerber@suse.de
- update to v1.2.0-rc1: http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
* Tue Aug 21 2012 agraf@suse.com
- fix getdent in linux-user
- fix statfs in linux-user
- disable FIEMAP support in linux-user
* Tue Aug 21 2012 agraf@suse.com
- add support for FS_IOC_[G|S]ETFLAG ioctls
* Fri Aug 17 2012 afaerber@suse.de
- update to v1.2.0-rc0: http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
  * package new qemu-or32 executable into linux-user
* Wed Aug 15 2012 dmueller@suse.com
- avoid installing qemu on a qemu build
* Tue Jul 31 2012 agraf@suse.com
- add hijack for /proc/cpuinfo
- add compatibility patch for glibc 2.16 (Thanks AJ!)
* Wed Jul 11 2012 agraf@suse.com
- fix segfault even better
* Wed Jul 11 2012 agraf@suse.com
- linux-user: improve locking even across tb flushes
* Tue Jul 10 2012 agraf@suse.com
- linux-user: pin multi-threaded applications to a single host cpu
* Tue Jul 10 2012 agraf@suse.com
- linux-user: improve lock
* Thu Jul  5 2012 agraf@suse.com
- linux-user: add tcg lock for multi-threaded guest programs
* Mon Jun 25 2012 afaerber@suse.de
- include qemu-img and qemu-nbd in qemu-tools package
* Mon Jun 25 2012 afaerber@suse.de
- add qemu-guest-agent package
* Mon Jun 25 2012 agraf@suse.com
- add fix for segv in linux-user (fixes java)
* Tue Jun 19 2012 afaerber@suse.de
- revert LIBRARY_PATH patch by Alex
* Mon Jun 18 2012 afaerber@suse.de
- add patch by Alex to force gcc being emulated for LIBRARY_PATH
* Mon Jun 18 2012 dvaleev@suse.com
- add libfdt1 to buildrequires on ppc
* Thu Jun 14 2012 afaerber@suse.de
- revert qemu-bridge-helper mode change (cf. BNC#765948)
* Wed Jun 13 2012 brogers@suse.com
- don't use permissions.d
* Wed Jun 13 2012 agraf@suse.com
- Add fix for bogus losetup ioctl to not warn us about it
* Sat Jun  9 2012 brogers@suse.com
- Set up bridge helper as a setuid executable
* Sat Jun  9 2012 afaerber@suse.de
- Add patch for specifying --libexecdir
  * Fixes having to specify the path to qemu-bridge-helper manually
- Drop superfluous `make qemu-img`
- Move qemu-bridge-helper to its own subpackage, to share with KVM
* Tue Jun  5 2012 afaerber@suse.de
- Update to v1.1.0: see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Fri Jun  1 2012 afaerber@suse.de
- Update to v1.1.0-rc4: see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Thu May 31 2012 agraf@suse.com
- fix /proc/self/maps faking with secondary threads
* Wed May 30 2012 agraf@suse.de
- revert commit a84fac1426 to fix automoc4 for arm
* Tue May 29 2012 agraf@suse.com
- remove manual interp prefix, which made all linux-user binaries
  point to an i386 LD_PREFIX path
* Tue May 29 2012 agraf@suse.com
- add patch to fix building of go (swi in thumb ignores imm)
* Tue May 22 2012 afaerber@suse.de
- Update to v1.1.0-rc3; see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Thu May 17 2012 afaerber@suse.de
- Update to v1.1.0-rc2; see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Wed May 16 2012 afaerber@suse.de
- Remove workaround for forcing cURL detection
* Sun May 13 2012 afaerber@suse.de
- Update to v1.1-rc1: see http://wiki.qemu.org/ChangeLog/1.1
  * Add workaround for 11.4: add -lrt after -lglib-2.0
- Adapt update_git.sh script to new tag
* Tue May  8 2012 afaerber@suse.de
- Update to v1.1-rc0; see http://wiki.qemu.org/ChangeLog/1.1
  * Do not try to mv qemu, the executable is gone, there's a dir now
  * Do not try to mv */qemu-*, there's a pc-bios/qemu-icon.bmp
  * Be more specific in temporary copying of files to dynamic/
  * Drop duplicate %%_bindir/qemu_binfmt_misc.sh, only in sbin now
  * Use dynamic version of new executable qemu-bridge-helper
- Update update_git.sh script to pull patches from suse-1.1 branch
* Mon May  7 2012 afaerber@suse.de
- Update URL to project homepage
* Mon May  7 2012 agraf@suse.com
- compile fixes for ppc64abi32
- fix update_fit.sh script if wc -c is 40
- fix stale tbs after mmap
* Wed Mar  7 2012 agraf@suse.com
- cut off patch file names after 40 bytes, support older git versions
  for update_git.sh
* Mon Mar  5 2012 agraf@suse.com
- resolve VMAs downwards, fixes arm git build for real
* Sat Mar  3 2012 agraf@suse.com
- update update_git.sh for 1.0.1
- add fixes for reserved_va mmap(NULL) case, fixes git build on arm
* Tue Feb 28 2012 idonmez@suse.com
- Enable spice support
* Wed Feb 22 2012 brogers@suse.com
- update to latest stable release: 1.0.1. For changes see:
  http://wiki.qemu.org/ChangeLog/1.0
* Mon Feb  6 2012 brogers@suse.com
- avoid buffer overflow in e1000 device emulation (bnc#740165)
* Mon Feb  6 2012 agraf@suse.de
- qemu-user: fix fallocate
* Fri Feb  3 2012 agraf@suse.de
- qemu-user: fix previous patch
* Thu Feb  2 2012 agraf@suse.de
- qemu-user: add host binary support for binfmt
* Thu Feb  2 2012 agraf@suse.de
- qemu-user: add fix for /proc/self/maps to only show mappable regions
* Wed Feb  1 2012 agraf@suse.de
- qemu-user: add wrapper for BLKBSZGET
* Tue Jan 31 2012 agraf@suse.de
- qemu-user: add fix for deadloop with ulimit constraints
- qemu-user: add device mapper and loopback ioctls, enabling kpatkx
* Tue Jan 10 2012 agraf@suse.de
- backport all ppc-1.0 stable patches to our package
- add fix for PPC HV KVM on 3.1
* Tue Jan 10 2012 agraf@suse.de
- add fix for PPC in HV KVM mode
* Fri Jan  6 2012 agraf@suse.de
- add workaround for KVM on PPC to support hugetlbfs
- add upstream patches to fake $0 in /proc/self/maps (fixes ps)
* Wed Dec 14 2011 agraf@suse.com
- add update_git.sh to simplify maintenance of the tree
- use -R automatically in linux-user to gain more address space
- drop MAP_32BIT patch (deprecated by the one above)
* Mon Dec 12 2011 agraf@suse.com
- add linker patch for ppc hosts
* Mon Dec 12 2011 agraf@suse.com
- remove exclusivearch - we should be able to build everywhere!
* Sun Dec 11 2011 agraf@suse.com
- fix compilation for 11.4
* Sun Dec 11 2011 agraf@suse.com
- fix compilation on sle11
- add %%fdupes for duplicate file checking
* Sun Dec 11 2011 agraf@suse.com
- update to 1.0 from upstream. for changelogs please see:
  - 0.14 -> 0.15: http://wiki.qemu.org/ChangeLog/0.15
  - 0.15 -> 1.0:  http://wiki.qemu.org/ChangeLog/1.0
- the binary "qemu" is now called qemu-system-i386
* Tue Nov  8 2011 agraf@suse.com
- only ignore specific timer_create syscall, no all of them
* Sun Nov  6 2011 agraf@suse.com
- don't print out unsupported syscalls but rather silently ignore
  them - some programs catch stderr and get confused
* Thu Nov  3 2011 adrian@suse.de
- add a number of patches to fake /proc entries (from Alex)
* Fri Oct 28 2011 adrian@suse.de
- split linux-user binaries into qemu-linux-user package
  (this static package can be used in cross build in OBS)
* Tue Oct 18 2011 adrian@suse.de
- add xattr support for openSUSE 12.1
- added syscall numbers to fix prlimit64 support (from upstream)
* Wed Oct  5 2011 joop.boonen@opensuse.org
- Fixed glibc arm build issue according to
  https://bugs.meego.com/show_bug.cgi?format=multiple&id=20418
  added a reverse patch
* Tue Oct  4 2011 adrian@suse.de
- add binfmt misc handler binary patch from alex. This is a handler
  which calls qemu with -0 argument and right parameters to avoid
  broken runs due to different set $0 as on real hardware
- move arch specific patches at the end to avoid arch dep conflicts
  with other patches
- enable linux-user build to get binfmt handler
* Thu Sep 29 2011 adrian@suse.de
- add 0021-implement-prlimit64-syscall.patch from upstream to avoid
  output and confused configure scripts when testing gcc on armv7hl
- add 0022-fixing-smp-races.patch from alex to fix some SMP races
* Tue Sep 27 2011 adrian@suse.de
- add 0020-linux-user-implement-reboot-syscall.patch from alex
- extend 0010 mmap patch for files
* Mon Sep 26 2011 adrian@suse.de
- add fix from alex for openat file permission handling
* Mon Jun 20 2011 aj@suse.de
- Add BuildRequires: glibc-devel-static
* Thu May 19 2011 andrea@opensuse.org
- removed un-required vde buildrequires
* Tue May 17 2011 brogers@novell.com
- build correctly for SLE11
- reset revision to zero after version change
* Wed May 11 2011 andrea@opensuse.org
- added 0018-qemu-0.14.1-mcast-udp.patch to enable multicast and
  udp tunneling support
* Tue May 10 2011 andrea@opensuse.org
- New Upstream version 0.14.1
    See http://wiki.qemu.org/Changelog/0.14 for changes in 0.14
- removed 0014-qemu-0.11-git-ioctl_mount.patch not required anymore
- enabled vde support
- some spec clean up
* Mon Feb 21 2011 coolo@novell.com
- disable parallel build for a while, it takes too much memory
  for our workers
* Thu Feb 10 2011 uli@suse.de
- update -> 0.14.0-rc1
  See http://wiki.qemu.org/Changelog/0.14 for changes in 0.14.
  (There is no such page for the 0.13 tree. The ChangeLog file ends at
  0.12.0, http://wiki.qemu.org/ChangeLog at 0.12.5 and suggests to look at
  the git log. High-level information of what has changed in 0.13 is
  apparently not available.)
* Fri May 28 2010 uli@suse.de
- update -> 0.12.4
  see http://wiki.qemu.org/ChangeLog for changes
* Wed May 19 2010 brogers@novell.com
- co-exist with virt-utils, which provides some qemu components
  (bnc#586115)
* Sun Apr 18 2010 crrodriguez@opensuse.org
- requires timezone
* Mon Oct  5 2009 uli@suse.de
- update -> 0.11.0 final
  - mips: fix conditional move off fp conditions codes (Nath Froyd)
  - fix migration to obey -S (Paolo Bonzini)
  - remove pc-0-10 machine type (Mark McLoughlin)
  - vnc: fix copyrect screen corruption (Gerd Hoffman)
  - fix vm state change handlers running order (Markus Armbruster)
  - e1000: fix eerc and ics emulation (Bill Paul)
  - fix sdl zooming with pl110 (Blue Swirl)
  - sparc64: flush pending conditional evaluations (Igor Kovalenko)
  - esp: fix interrupt register read (Blue Swirl)
  - option rom makefile fixes (Paul Brook)
  - fix sparse warnings (Blue Swirl)
  - fix symfind (Laurent Desnogues)
  - win32: fix default prefix (Stefan Weil)
  - fix checksum writing in signboot (Alex Graf)
  - fix sdl window resize (Stefano Stabellini)
  - do not resize the screen on hw_invalidate (Stefano Stabellini)
  - Add checks for -smbios option (Beth Kon)
  - fix do_set_link (Luiz Capitulino)
  - fix do_commit behavior (Luiz Capitulino)
  - make windows notice media change (Gleb Natapov)
  - check for PR_SET_NAME being defined (Nathan Froyd)
  - fix migration for ide devices (Anthony Liguori)
  - Use correct depth in vmware vga (Reimar Doffiner)
  - support 32bpp cursors in sdl (Reimar Doffinger)
  - fix device name completion for eject (Blue Swirl)
  - make screendump use DisplayState properly (Stefano Stabellini)
  - fix autostart with live migration (Avi Kivity)
  - fix detached migration with exec (Chris Lalancette)
  - fix segv when changing vnc password in sdl (Zach Amsden)
  - fix vnc password clearing with stdio monitor (Zach Amsden)
  - clean up VGA type selection (Zach Amsden)
  - add missing linefeed in error message (Stefan Weil)
  - fix rtc polling mode (Bernhard Kauer)
  - qcow2: order concurrent aio requests (Kevin Wolf)
  - qemu-io: port to win32 (Stefan Weil)
  - alpha: fix extlh instruction (Vince Weaver)
  - tcg: fix size of local variables in tcg_gen_bswap64_i64 (Stefan Weil)
  - net: fix send ordering (Jan Kiszka)
  - escc: fix IRQ routing (Aurelien Jarno)
  - versatile: fix Linux task preemption (Aurelien Jarno)
  - curses: reduce memory usage by 250MB (Aurelien Jarno)
- disabled ppc64 host, seems to be very broken
* Thu Sep 10 2009 uli@suse.de
- package missing tools (qemu-nbd, qemu-io)
* Thu Sep  3 2009 uli@suse.de
- disable S/390 target on 32-bit platforms
* Tue Aug 11 2009 uli@suse.de
- update -> 0.11.0 RC1
  - add machine aliasing support (Mark McLoughlin)
  - add getfd/closefd monitor commands (Mark McLoughlin)
  - fix live migration (various)
  - HPET fixes (various)
  - slirp: fix guestfwd for incoming data (Jan Kiszka)
  - fix qemu-img convert to copy unallocated parts of the image
    (Akkarit Sangpetch)
  - vmdk: fix backing file handling (Kevin Wolf)
  - scsi: add save/restore support (Nolan Leake)
  - e1000: ignore reset command (Kevin Wolf)
  - allow monitor interaction when using -incoming exec: (Chris Lalancette)
  - fix -net socket,listen (Jan Kiszka)
  - serial: fix lost characters after sysrq (Jason Wessel)
  - lsi53c895a: Implement additional registers (Sebastian Herbszt)
  - i386: fix cpu reset (Nitin Kamble)
  - Prevent CD-ROM eject while device is locked (Mark McLoughlin)
  - Fix memory leaks (various)
  - Reset PS2 keyboard/mouse on reset (Dinesh Subraveti)
  - Fix -initrd with > 4GB guests (Glauber Costa)
  - qcow2 fixes (various)
  - Enable power button event generation (Gleb Natapov)
  - fix serial option in -drive
  - Fix non-ACPI timer interrupt routing (Beth Kon)
  - Fix keyboard mapping on newer Xords with non-default keymaps (balrog)
  - Make PCI config status register read-only (Anthony Liguori)
  - Fix crash on resolution change -> screen dump -> vga redraw (Avi Kivity)
  - fix savevm/loadvm (various)
  - virtio: fix guest oops with 2.6.25 kernels (Rusty Russell)
  - SH4: add support for -kernel (Takashi Yoshii, Aurelien Jarno)
  - hotplug: fix closing of char devices (Jan Kiszka)
  - hotplug: remove incorrect check for device name (Eduardo Habkost)
  - fix VGA regression (malc)
- added S/390 host and target
- maintaining patches in git
- several linux-user improvements for compatibility and speed
- enabled curl block driver, VNC TLS and SASL, AIO, and Bluetooth
* Wed Apr 15 2009 ro@suse.de
- buildfix: refresh patches
* Fri Mar 27 2009 crrodriguez@suse.de
- BuildRequire zlib-devel-static
* Tue Mar 24 2009 uli@suse.de
- update -> release (0.10.1)
  - fixes bnc #435135 (CVE-2008-4539, SWAMP #22179), #362956
    (CVE-2008-1945, CVE-2008-0928), #461565 (CVE-2008-2382)
  - Kernel Virtual Machine acceleration support
  - GDB XML register description support
  - Intel e1000 emulation
  - HPET emulation
  - VirtIO paravirtual device support
  - Marvell 88w8618 / MusicPal emulation
  - Nokia N-series tablet emulation / OMAP2 processor emulation
  - PCI hotplug support
  - Curses display support
  - qemu-nbd utility to mount supported block formats
  - Altivec support in PPC emulation and new firmware (OpenBIOS)
  - Multiple VNC clients are now supported
  - TLS encryption is now supported in VNC
  - MIPS Magnum R4000 machine (Hervé Poussineau)
  - Braille support (Samuel Thibault)
  - Freecom MusicPal system emulation (Jan Kiszka)
  - OMAP242x and Nokia N800, N810 machines (Andrzej Zaborowski)
  - EsounD audio driver (Frederick Reeve)
  - Gravis Ultrasound GF1 sound card (Tibor "TS" Schütz)
  - Many, many, bug fixes and new features
  - virtio-net: allow masking of notifications on empty queue (Alex
    Williamson)
  - e1000: fix rx descriptor low threshold logic (Alex Willaimson)
  - x86 tcg: add NULL checks to lsl instruction (Jan Kiszka)
  - kvm vga: fix screen corruption with -std-vga and Windows (Avi Kivity)
  - kvm vga: fix screen corruption with Ubuntu installations (Glauber Costa)
  - virtio-net: check right return size on sg list (Alex Williamson)
  - Make qemu_announce_self handle holes (live migration after hotplug)
    (Marcelo Tosatti)
  - Revert r6804-r6808 (qcow2 allocation info).  This series of changes
    added a high cost to startup for large qcow2 images (Anthony Liguori)
  - qemu-img: fix help message (Aurelien Jarno)
  - Fix build for non-default installs of SDL (Anthony Liguori)
  - Fix race condition in env->interrupt_request.  When using TCG and a
    dynticks host timer, this condition could cause TCG to get stuck in an
    infinite loop (Aurelien Jarno)
  - Fix reading encrypted hard disk passwords during early startup (Jan
    Kiszka)
  - Fix encrypted disk reporting in 'info block' (Jan Kiszka)
  - Fix console size with tiny displays (MusicPal) (Jan Kiszka)
  - Improve error handling in bdrv_open2 (Jan Kiszka)
  - Avoid leaking data in mux'ed character devices (Jan Kiszka)
  - Fix initial character device reset (no banner in monitor) (Jan Kiszka)
  - Fix cpuid KVM crash on i386 host (Lubomir Rintel)
  - Fix SLES10sp2 installation by adding ISTAT1 register to LSI SCSI
    emulation (Ryan Harper)
- s390x TCG backend
- i386-linux-user NPTL support
* Wed Oct  8 2008 uli@suse.de
- update -> current SVN
  - fixes PPC hosts
  - fixes SH4 targets (reenabled), adds NPTL support
  - SSSE3, SSE4.* instructions, "unreal" mode fixed
  - Alpha target converted to TCG
  - live migration
  - Bluetooth emulation
  - SCSI tape support
  - OpenBIOS binary updated
  - UHCI emulation rewritten
  - lots of bugfixes
* Mon Aug  4 2008 ro@suse.de
- fix build by adding return statements for two nonvoid functions
  (qemu-nonvoid_return.patch), actually unreached code
* Thu Jul 24 2008 uli@suse.de
- update -> current SVN
  - MIPS Magnum R4000 machine (Hervé Poussineau)
  - Braille support (Samuel Thibault)
  - Freecom MusicPal system emulation (Jan Kiszka)
  - OMAP242x and Nokia N800, N810 machines (Andrzej Zaborowski)
  - EsounD audio driver (Frederick Reeve)
  - Gravis Ultrasound GF1 sound card (Tibor "TS" Schütz)
- added pcap networking
- ditched GCC3 thanks to TCG. Hooray!
  (downside: no PPC and SH4 emulation, no S/390 host)
* Thu May 15 2008 cthiel@suse.de
- use lsilogic instead of buslogic for SCSI VMDK images
* Thu May  8 2008 uli@suse.de
- add format option to disable autodetection of disk image format
  (bnc#380828)
* Fri Apr 25 2008 uli@suse.de
- revert secfix (causes data corruption, no known good patch
  available yet)
- support creation of SCSI VMDK images
* Tue Mar 11 2008 uli@suse.de
- secfix (unchecked block read/write vulnerability, bug #362956)
* Thu Jan 17 2008 uli@suse.de
- update -> 0.9.1
  - TFTP booting from host directory (Anthony Liguori, Erwan Velu)
  - Tap device emulation for Solaris (Sittichai Palanisong)
  - Monitor multiplexing to several I/O channels (Jason Wessel)
  - ds1225y nvram support (Herve Poussineau)
  - CPU model selection support (J. Mayer, Paul Brook, Herve Poussineau)
  - Several Sparc fixes (Aurelien Jarno, Blue Swirl, Robert Reif)
  - MIPS 64-bit FPU support (Thiemo Seufer)
  - Xscale PDA emulation (Andrzej Zaborowski)
  - ColdFire system emulation (Paul Brook)
  - Improved SH4 support (Magnus Damm)
  - MIPS64 support (Aurelien Jarno, Thiemo Seufer)
  - Preliminary Alpha guest support (J. Mayer)
  - Gumstix boards: connex and verdex emulation (Thorsten Zitterell)
  - Intel mainstone II board emulation (Armin Kuster)
  - VMware SVGA II graphics card support (Andrzej Zaborowski)
- revert s390-dis.c to last GPLv2 version
- reenabled qemu-system-ppcemb
* Mon Dec 10 2007 uli@suse.de
- fixed open() usage with O_CREAT
* Tue Nov 13 2007 uli@suse.de
- update -> current CVS:
  - Read-only support for Parallels disk images (Alex Beregszaszi)
  - CRIS emulation (Edgar E. Iglesias)
  - SPARC32PLUS execution support (Blue Swirl)
  - MIPS mipssim pseudo machine (Thiemo Seufer)
  - Strace for Linux userland emulation (Stuart Anderson, Thayne Harbaugh)
  - OMAP310 MPU emulation plus Palm T|E machine (Andrzej Zaborowski)
  - ARM v6, v7, NEON SIMD and SMP emulation (Paul Brook/CodeSourcery)
* Thu Oct 11 2007 ro@suse.de
- hack to fix build: undef DEBUG_BLOCK for now
* Fri Sep 28 2007 agraf@suse.de
- fix SVM support (Alexander Graf)
* Thu Sep 13 2007 agraf@suse.de
- add SVM emulation support (Alexander Graf)
- fix a misassumption in the s390 fix (uli)
- allow more IDE power management (Ben Guthro)
- log any I/O error and perform automatic read retry for CDrom (Ben Guthro)
- fix Coherent guest support (Jan Jezabek)
- fix several Darwin guest issues (Filip Navara)
* Mon Aug 20 2007 agraf@suse.de
- fix ATAPI bug when using libata (Brandon Philips)  (#291775)
* Sat Aug 11 2007 olh@suse.de
- disable only SNDRV_SB_CSP_IOCTL_LOAD_CODE for _IOC_SIZEBITS < 14
* Thu Aug  9 2007 olh@suse.de
- disable some alsa SB ioctl declarations
* Mon Aug  6 2007 olh@suse.de
- remove inclusion of linux/compiler.h
* Mon Jul 30 2007 uli@suse.de
- fixed for S/390
* Tue Jul 10 2007 schwab@suse.de
- Add (incomplete) m68k emulation.
* Mon Jul  9 2007 agraf@suse.de
- included alsa support in qemu-user
- update to current cvs
  - TFTP booting from host directory (Anthony Liguori, Erwan Velu)
  - Tap device emulation for Solaris (Sittichai Palanisong)
  - Monitor multiplexing to several I/O channels (Jason Wessel)
  - ds1225y nvram support (Herve Poussineau)
  - CPU model selection support (J. Mayer, Paul Brook, Herve Poussineau)
  - Several Sparc fixes (Aurelien Jarno, Blue Swirl)
  - MIPS 64-bit FPU support (Thiemo Seufer)
  - Xscale PDA emulation (Andrzei Zaborowski)
  - ColdFire system emulation (Paul Brook)
  - Improved SH4 support (Magnus Damm)
  - MIPS64 support (Aurelien Jarno, Thiemo Seufer)
  - Preliminary Alpha guest support (J. Mayer)
  - IPC fixes
* Wed Jun 20 2007 agraf@suse.de
- applied proper fix for x86_64 and the MAP_32BIT flag
* Wed Jun 20 2007 uli@suse.de
- added secfixes (bug #252519)
* Thu Jun 14 2007 agraf@suse.de
- made wine work (set FS register to 0 on init)
- suppressed robust_list warnings
* Wed Jun 13 2007 agraf@suse.de
- made flash player 9 work on ppc
- fixed FUTEX_WAKE_OP on machines where endianness differs
- made mmap on x86_64 use the MAP_32BIT flag
- removed a useless spin_lock
- removed an annoying debug message for forking
- implemented sched_getaffinity syscall
- fixed configure call so it takes gcc3 again
* Wed Jun 13 2007 uli@suse.de
- support "vga=" parameter (Pascal Terjan)
- direct jump support for x86-64 (Gwenole Beauchesne)
- fix chaining of CPU instances (Gwenole Beauchesne)
- live migration support (Anthony Liguori)
- fix fprem/fprem1 insns (Julian Seward)
- KVM support
- Z80/ZX Spectrum emulation (Stuart Brady)
- GCC4 support postponed (breaks x86-64 on i386)
* Mon Jun 11 2007 agraf@suse.de
- implemented TLS support on i386 so qemu-user can be used to run
  with current libc versions (partly done by David Woodhouse,
  fixed by Alexander Graf)
- added a dirty hack for an mmap page table bug on qemu-user x86
  emulation
- disable AF_NETLINK in qemu-user (endianness problems)
- applied fast path mangling patch from Kirill A. Shutemov
- applied strace patch for debugging (by Stuart R. Anderson)
* Wed Apr  4 2007 agraf@suse.de
- fixed initrd loading on x86
* Thu Mar 29 2007 ro@suse.de
- added bison to BuildRequires
* Tue Feb 20 2007 uli@suse.de
- added better fix by Robert Schiele (bug #241950)
- update -> 0.9.0
  - Support for relative paths in backing files for disk images
  - Async file I/O API
  - New qcow2 disk image format
  - Support of multiple VM snapshots
  - Linux: specific host CDROM and floppy support
  - SMM support
  - Moved PCI init, MP table init and ACPI table init to Bochs BIOS
  - Support for MIPS32 Release 2 instruction set (Thiemo Seufer)
  - MIPS Malta system emulation (Aurelien Jarno, Stefan Weil)
  - Darwin userspace emulation (Pierre d'Herbemont)
  - m68k user support (Paul Brook)
  - several x86 and x86_64 emulation fixes
  - Mouse relative offset VNC extension (Anthony Liguori)
  - PXE boot support (Anthony Liguori)
  - '-daemonize' option (Anthony Liguori)
* Tue Feb  6 2007 uli@suse.de
- added fix by Robert Schiele to work without usbdevfs
  (bug #241950)
* Thu Feb  1 2007 ro@suse.de
- remove -fstack-protector from CFLAGS
* Fri Oct 27 2006 schwab@suse.de
- Fix char signedness.
* Mon Sep 11 2006 uli@suse.de
- re-added ARM FPE patch
- fixed SPARC on PPC
- install missing openbios-sparc32
* Sat Sep  9 2006 dmueller@suse.de
- update to 0.8.2:
  - ACPI support
  - PC VGA BIOS fixes
  - MIPS FPU support (Marius Groeger)
  - PPC breakpoints and single stepping (Jason Wessel)
  - USB updates (Paul Brook)
  - UDP/TCP/telnet character devices (Jason Wessel)
  - Windows sparse file support (Frediano Ziglio)
  - RTL8139 NIC TCP segmentation offloading (Igor Kovalenko)
  - PCNET NIC support (Antony T Curtis)
  - Support for variable frequency host CPUs
  - Workaround for win32 SMP hosts
  - Support for AMD Flash memories (Jocelyn Mayer)
  - Audio capture to WAV files support (malc)
* Tue May 30 2006 uli@suse.de
- fixed to build on PPC with new glibc
* Mon May 29 2006 uli@suse.de
- fixed to build with new kernel headers
* Wed Mar  8 2006 uli@suse.de
- split giant patch
- added NWFPE glue code fix
* Tue Mar  7 2006 schwab@suse.de
- More fixes for ia64 port.
* Mon Mar  6 2006 schwab@suse.de
- Remove obsolete hunk from ia64 patch.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 uli@suse.de
- update -> 0.8.0
* Thu Dec  8 2005 uli@suse.de
- update to current CVS (MIPS userspace, ARM system, SMP, USB,
  NX, VLAN, serial, parallel, ES1370, ALSA backend)
- build i386 and AMD64 emus with kqemu support if possible
- install missing PPC video driver, SPARC boot ROM
- install missing keymaps
* Mon Nov  7 2005 uli@suse.de
- updated linker scripts for new binutils release
* Sat Sep 17 2005 dmueller@suse.de
- update to 0.7.2
* Mon Aug 15 2005 schwab@suse.de
- Don't package /emul/ia32-linux on ia64.
* Mon Aug 15 2005 schwab@suse.de
- Fix compilation on ia64.
* Mon Aug  1 2005 uli@suse.de
- update -> 0.7.1
- enabled x86_64-system
* Mon Jul 11 2005 uli@suse.de
- update -> CVS (MIPS emulation)
- build with throwaway GCC3 (still no GCC4-compatible QEMU in
  sight)
- enabled armeb-user
- link *-user statically (necessary for chrooting into non-native
  systems)
- disabled s390, alpha, armv4l build (broken and unmaintained)
- disabled qemu-fast (broken and deprecated)
- disabled i386-user on x86_64 (useless)
- build with %%jobs
* Wed Jun  1 2005 ro@suse.de
- update to 0.7.0, still no success with gcc-4
* Thu Jan 27 2005 uli@suse.de
- baselibs-x86 link is unnecessary on x86/AMD64
- two ARM emulation fixes (RRX operand fix by Paul Brook, shifter
  carry fix by me)
- SDL 1.2.8 can be linked statically -> enabled qemu-fast
* Mon Nov 29 2004 uli@suse.de
- update -> 0.6.1
- build softmmu binaries on s390 (still doesn't work though)
- pack /emul/ia32-linux directory and symlink from /usr/share/qemu
  so it's possible to use the IA64 baselibs-x86 packages
* Wed Sep 15 2004 uli@suse.de
- removed unnecessary dependency on private glibc symbol
  (bug #44864)
* Fri Aug  6 2004 uli@suse.de
- update -> 0.6.0 (fixes for several OSs, improvements in emulated
  hardware (IDE, PCI, network, VGA, APM, PowerMac), minor fixes,
  tool for conversion of VMware images)
* Tue May 11 2004 uli@suse.de
- update -> 0.5.5 (contains ARM, utime() fixes and several others)
- make uname() return target machine name (fixes config.guess,
  rpm etc.)
- fake sigaltstack() (fixes m4)
- enabled x86-64
* Wed May  5 2004 uli@suse.de
- fixed ARM emulation bug
* Wed Apr 28 2004 uli@suse.de
- build with -fno-unit-at-a-time (fixes PPC system emulator)
* Wed Apr 28 2004 uli@suse.de
- update -> 0.5.4 (runs Linux/PPC, several fixes)
* Mon Apr 19 2004 uli@suse.de
- initial package
